version 12.1

**************      FIGURE A13 Average component interaction effects from a single linear regression
use data.dta, clear
	
*************** ACME - single regression
reg Y i.education##i.taxspend i.education##i.samesex i.income i.corruption ///
i.education##c.pol_interest i.income##c.pol_interest i.corruption##c.pol_interest i.taxspend##c.pol_interest i.samesex##c.pol_interest ///
i.education##c.left_right i.income##c.left_right i.corruption##c.left_right i.taxspend##c.left_right i.samesex##c.left_right ///
i.education##i.gender i.income##i.gender i.corruption##i.gender i.taxspend##i.gender i.samesex##i.gender ///
i.education##c.age i.income##c.age i.corruption##c.age i.taxspend##c.age i.samesex##c.age ///
i.education##i.italian i.income##i.italian i.corruption##i.italian i.taxspend##i.italian i.samesex##i.italian ///
i.education##i.ftstudent i.income##i.ftstudent i.corruption##i.ftstudent i.taxspend##i.ftstudent i.samesex##i.ftstudent ///
i.education##i.lyceum i.income##i.lyceum i.corruption##i.lyceum i.taxspend##i.lyceum i.samesex##i.lyceum ///
i.education##c.edu_imp i.income##c.inc_imp i.corruption##c.hon_imp i.taxspend##c.taxspend_imp i.samesex##c.samesex_imp ///
i.education##i.survey i.income##i.survey i.corruption##i.survey i.taxspend##i.survey i.samesex##i.survey, cl(IDContatto)

***** Setting the mean or modal values for the respondent-level variables
* pol_interest = 3.3
sum pol_interest if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_pinterest=3.3
* left_right = 4.2
sum left_right if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_leftright=4.2
* gender =0 (female)
table gender if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_gender=0
* age = 21.4
sum age if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_age=21.4
* italian = 1
table italian if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_italian=1
* student = 1
table ftstudent if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_student=1
* lyceum = 1
table lyceum if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_lyceum=1
* edu_imp = 3.1
sum edu_imp if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_eduimp=3.1
* inc_imp = 1.9
sum inc_imp if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_incimp=1.9
* hon_imp = 3.9
sum hon_imp if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_honimp=3.9
* taxspend_imp = 3.7
sum taxspend_imp if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & taxspend_imp!=. & samesex_imp!=. & Y!=.
scalar h_taximp=3.7
* samesex_imp = 3.4
sum samesex_imp if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & taxspend_imp!=. & samesex_imp!=. & Y!=.
scalar h_sseximp=3.4 
* survey =1 (2013)
table survey if pol_interest!=. & left_right!=.n & gender!=. & age!=. & italian!=. & ftstudent!=. & lyceum!=. & edu_imp!=. & inc_imp!=. & hon_imp!=. & Y!=.
scalar h_survey=1

matrix b=e(b)
matrix V=e(V)
scalar b2=b[1,2]
scalar b3=b[1,3]
scalar b5=b[1,5]
scalar b6=b[1,6]
scalar b11=b[1,11]
scalar b12=b[1,12]
scalar b14=b[1,14]
scalar b15=b[1,15]
scalar b17=b[1,17]
scalar b18=b[1,18]
scalar b23=b[1,23]
scalar b24=b[1,24]
scalar b26=b[1,26]
scalar b27=b[1,27]
scalar b36=b[1,36]
scalar b37=b[1,37]
scalar b48=b[1,48]
scalar b49=b[1,49]
scalar b52=b[1,52]
scalar b53=b[1,53]
scalar b56=b[1,56]
scalar b57=b[1,57]
scalar b60=b[1,60]
scalar b61=b[1,61]
scalar b68=b[1,68]
scalar b69=b[1,69]
scalar b72=b[1,72]
scalar b73=b[1,73]
scalar b108=b[1,108]
scalar b109=b[1,109]
scalar b120=b[1,120]
scalar b121=b[1,121]
scalar b124=b[1,124]
scalar b125=b[1,125]
scalar b131=b[1,131]
scalar b133=b[1,133]
scalar b149=b[1,149]
scalar b151=b[1,151]
scalar b155=b[1,155]
scalar b157=b[1,157]
scalar b163=b[1,163]
scalar b165=b[1,165]
scalar b181=b[1,181]
scalar b183=b[1,183]
scalar b187=b[1,187]
scalar b189=b[1,189]
scalar b195=b[1,195]
scalar b197=b[1,197]
scalar b213=b[1,213]
scalar b215=b[1,215]
scalar b219=b[1,219]
scalar b221=b[1,221]
scalar b224=b[1,224]
scalar b225=b[1,225]
scalar b236=b[1,236]
scalar b237=b[1,237]
scalar b240=b[1,240]
scalar b241=b[1,241]
scalar b247=b[1,247]
scalar b249=b[1,249]
scalar b265=b[1,265]
scalar b267=b[1,267]
scalar b271=b[1,271]
scalar b273=b[1,273]

scalar list b2 b3 b5 b6 b11 b12 b14 b15 b17 b18 b23 b24 b26 b27 b36 b37 b48 b49 b52 b53 b56 b57 b60 b61 b68 b69 b72 b73 b108 b109 b120 b121 b124 b125 b131 b133 ///
b240 b241 b267 b271 b273 

scalar varb2=V[2,2]
scalar varb3=V[3,3]
scalar varb5=V[5,5]
scalar varb6=V[6,6]
scalar varb11=V[11,11]
scalar varb12=V[12,12]
scalar varb14=V[14,14]
scalar varb15=V[15,15]
scalar varb17=V[17,17]
scalar varb18=V[18,18]
scalar varb23=V[23,23]
scalar varb24=V[24,24]
scalar varb26=V[26,26]
scalar varb27=V[27,27]
scalar varb36=V[36,36]
scalar varb37=V[37,37]
scalar varb48=V[48,48]
scalar varb49=V[49,49]
scalar varb52=V[52,52]
scalar varb53=V[53,53]
scalar varb56=V[56,56]
scalar varb57=V[57,57]
scalar varb60=V[60,60]
scalar varb61=V[61,61]
scalar varb68=V[68,68]
scalar varb69=V[69,69]
scalar varb72=V[72,72]
scalar varb73=V[73,73]
scalar varb108=V[108,108]
scalar varb109=V[109,109]
scalar varb120=V[120,120]
scalar varb121=V[121,121]
scalar varb124=V[124,124]
scalar varb125=V[125,125]
scalar varb131=V[131,131]
scalar varb133=V[133,133]
scalar varb149=V[149,149]
scalar varb151=V[151,151]
scalar varb155=V[155,155]
scalar varb157=V[157,157]
scalar varb163=V[163,163]
scalar varb165=V[165,165]
scalar varb181=V[181,181]
scalar varb183=V[183,183]
scalar varb187=V[187,187]
scalar varb189=V[189,189]
scalar varb195=V[195,195]
scalar varb197=V[197,197]
scalar varb213=V[213,213]
scalar varb215=V[215,215]
scalar varb219=V[219,219]
scalar varb221=V[221,221]
scalar varb224=V[224,224]
scalar varb225=V[225,225]
scalar varb236=V[236,236]
scalar varb237=V[237,237]
scalar varb240=V[240,240]
scalar varb241=V[241,241]
scalar varb247=V[247,247]
scalar varb249=V[249,249]
scalar varb265=V[265,265]
scalar varb267=V[267,267]
scalar varb271=V[271,271]
scalar varb273=V[273,273]

scalar covb2b3=V[2,3]
scalar covb2b5=V[2,5]
scalar covb2b6=V[2,6]
scalar covb2b11=V[2,11]
scalar covb2b12=V[2,12]
scalar covb2b14=V[2,14]
scalar covb2b15=V[2,15]
scalar covb2b17=V[2,17]
scalar covb2b18=V[2,18]
scalar covb2b23=V[2,23]
scalar covb2b24=V[2,24]
scalar covb2b26=V[2,26]
scalar covb2b27=V[2,27]
scalar covb2b36=V[2,36]
scalar covb2b37=V[2,37]
scalar covb2b48=V[2,48]
scalar covb2b49=V[2,49]
scalar covb2b52=V[2,52]
scalar covb2b53=V[2,53]
scalar covb2b56=V[2,56]
scalar covb2b57=V[2,57]
scalar covb2b60=V[2,60]
scalar covb2b61=V[2,61]
scalar covb2b68=V[2,68]
scalar covb2b69=V[2,69]
scalar covb2b72=V[2,72]
scalar covb2b73=V[2,73]
scalar covb2b108=V[2,108]
scalar covb2b109=V[2,109]
scalar covb2b120=V[2,120]
scalar covb2b121=V[2,121]
scalar covb2b124=V[2,124]
scalar covb2b125=V[2,125]
scalar covb2b131=V[2,131]
scalar covb2b133=V[2,133]
scalar covb2b149=V[2,149]
scalar covb2b151=V[2,151]
scalar covb2b155=V[2,155]
scalar covb2b157=V[2,157]
scalar covb2b163=V[2,163]
scalar covb2b165=V[2,165]
scalar covb2b181=V[2,181]
scalar covb2b183=V[2,183]
scalar covb2b187=V[2,187]
scalar covb2b189=V[2,189]
scalar covb2b195=V[2,195]
scalar covb2b197=V[2,197]
scalar covb2b213=V[2,213]
scalar covb2b215=V[2,215]
scalar covb2b219=V[2,219]
scalar covb2b221=V[2,221]
scalar covb2b224=V[2,224]
scalar covb2b225=V[2,225]
scalar covb2b236=V[2,236]
scalar covb2b237=V[2,237]
scalar covb2b240=V[2,240]
scalar covb2b241=V[2,241]
scalar covb2b247=V[2,247]
scalar covb2b249=V[2,249]
scalar covb2b265=V[2,265]
scalar covb2b267=V[2,267]
scalar covb2b271=V[2,271]
scalar covb2b273=V[2,273]
scalar covb3b5=V[3,5]
scalar covb3b6=V[3,6]
scalar covb3b11=V[3,11]
scalar covb3b12=V[3,12]
scalar covb3b14=V[3,14]
scalar covb3b15=V[3,15]
scalar covb3b17=V[3,17]
scalar covb3b18=V[3,18]
scalar covb3b23=V[3,23]
scalar covb3b24=V[3,24]
scalar covb3b26=V[3,26]
scalar covb3b27=V[3,27]
scalar covb3b36=V[3,36]
scalar covb3b37=V[3,37]
scalar covb3b48=V[3,48]
scalar covb3b49=V[3,49]
scalar covb3b52=V[3,52]
scalar covb3b53=V[3,53]
scalar covb3b56=V[3,56]
scalar covb3b57=V[3,57]
scalar covb3b60=V[3,60]
scalar covb3b61=V[3,61]
scalar covb3b68=V[3,68]
scalar covb3b69=V[3,69]
scalar covb3b72=V[3,72]
scalar covb3b73=V[3,73]
scalar covb3b108=V[3,108]
scalar covb3b109=V[3,109]
scalar covb3b120=V[3,120]
scalar covb3b121=V[3,121]
scalar covb3b124=V[3,124]
scalar covb3b125=V[3,125]
scalar covb3b131=V[3,131]
scalar covb3b133=V[3,133]
scalar covb3b149=V[3,149]
scalar covb3b151=V[3,151]
scalar covb3b155=V[3,155]
scalar covb3b157=V[3,157]
scalar covb3b163=V[3,163]
scalar covb3b165=V[3,165]
scalar covb3b181=V[3,181]
scalar covb3b183=V[3,183]
scalar covb3b187=V[3,187]
scalar covb3b189=V[3,189]
scalar covb3b195=V[3,195]
scalar covb3b197=V[3,197]
scalar covb3b213=V[3,213]
scalar covb3b215=V[3,215]
scalar covb3b219=V[3,219]
scalar covb3b221=V[3,221]
scalar covb3b224=V[3,224]
scalar covb3b225=V[3,225]
scalar covb3b236=V[3,236]
scalar covb3b237=V[3,237]
scalar covb3b240=V[3,240]
scalar covb3b241=V[3,241]
scalar covb3b247=V[3,247]
scalar covb3b249=V[3,249]
scalar covb3b265=V[3,265]
scalar covb3b267=V[3,267]
scalar covb3b271=V[3,271]
scalar covb3b273=V[3,273]
scalar covb5b6=V[5,6]
scalar covb5b11=V[5,11]
scalar covb5b12=V[5,12]
scalar covb5b14=V[5,14]
scalar covb5b15=V[5,15]
scalar covb5b17=V[5,17]
scalar covb5b18=V[5,18]
scalar covb5b23=V[5,23]
scalar covb5b24=V[5,24]
scalar covb5b26=V[5,26]
scalar covb5b27=V[5,27]
scalar covb5b36=V[5,36]
scalar covb5b37=V[5,37]
scalar covb5b48=V[5,48]
scalar covb5b49=V[5,49]
scalar covb5b52=V[5,52]
scalar covb5b53=V[5,53]
scalar covb5b56=V[5,56]
scalar covb5b57=V[5,57]
scalar covb5b60=V[5,60]
scalar covb5b61=V[5,61]
scalar covb5b68=V[5,68]
scalar covb5b69=V[5,69]
scalar covb5b72=V[5,72]
scalar covb5b73=V[5,73]
scalar covb5b108=V[5,108]
scalar covb5b109=V[5,109]
scalar covb5b120=V[5,120]
scalar covb5b121=V[5,121]
scalar covb5b124=V[5,124]
scalar covb5b125=V[5,125]
scalar covb5b131=V[5,131]
scalar covb5b133=V[5,133]
scalar covb5b149=V[5,149]
scalar covb5b151=V[5,151]
scalar covb5b155=V[5,155]
scalar covb5b157=V[5,157]
scalar covb5b163=V[5,163]
scalar covb5b165=V[5,165]
scalar covb5b181=V[5,181]
scalar covb5b183=V[5,183]
scalar covb5b187=V[5,187]
scalar covb5b189=V[5,189]
scalar covb5b195=V[5,195]
scalar covb5b197=V[5,197]
scalar covb5b213=V[5,213]
scalar covb5b215=V[5,215]
scalar covb5b219=V[5,219]
scalar covb5b221=V[5,221]
scalar covb5b224=V[5,224]
scalar covb5b225=V[5,225]
scalar covb5b236=V[5,236]
scalar covb5b237=V[5,237]
scalar covb5b240=V[5,240]
scalar covb5b241=V[5,241]
scalar covb5b247=V[5,247]
scalar covb5b249=V[5,249]
scalar covb5b265=V[5,265]
scalar covb5b267=V[5,267]
scalar covb5b271=V[5,271]
scalar covb5b273=V[5,273]
scalar covb6b11=V[6,11]
scalar covb6b12=V[6,12]
scalar covb6b14=V[6,14]
scalar covb6b15=V[6,15]
scalar covb6b17=V[6,17]
scalar covb6b18=V[6,18]
scalar covb6b23=V[6,23]
scalar covb6b24=V[6,24]
scalar covb6b26=V[6,26]
scalar covb6b27=V[6,27]
scalar covb6b36=V[6,36]
scalar covb6b37=V[6,37]
scalar covb6b48=V[6,48]
scalar covb6b49=V[6,49]
scalar covb6b52=V[6,52]
scalar covb6b53=V[6,53]
scalar covb6b56=V[6,56]
scalar covb6b57=V[6,57]
scalar covb6b60=V[6,60]
scalar covb6b61=V[6,61]
scalar covb6b68=V[6,68]
scalar covb6b69=V[6,69]
scalar covb6b72=V[6,72]
scalar covb6b73=V[6,73]
scalar covb6b108=V[6,108]
scalar covb6b109=V[6,109]
scalar covb6b120=V[6,120]
scalar covb6b121=V[6,121]
scalar covb6b124=V[6,124]
scalar covb6b125=V[6,125]
scalar covb6b131=V[6,131]
scalar covb6b133=V[6,133]
scalar covb6b149=V[6,149]
scalar covb6b151=V[6,151]
scalar covb6b155=V[6,155]
scalar covb6b157=V[6,157]
scalar covb6b163=V[6,163]
scalar covb6b165=V[6,165]
scalar covb6b181=V[6,181]
scalar covb6b183=V[6,183]
scalar covb6b187=V[6,187]
scalar covb6b189=V[6,189]
scalar covb6b195=V[6,195]
scalar covb6b197=V[6,197]
scalar covb6b213=V[6,213]
scalar covb6b215=V[6,215]
scalar covb6b219=V[6,219]
scalar covb6b221=V[6,221]
scalar covb6b224=V[6,224]
scalar covb6b225=V[6,225]
scalar covb6b236=V[6,236]
scalar covb6b237=V[6,237]
scalar covb6b240=V[6,240]
scalar covb6b241=V[6,241]
scalar covb6b247=V[6,247]
scalar covb6b249=V[6,249]
scalar covb6b265=V[6,265]
scalar covb6b267=V[6,267]
scalar covb6b271=V[6,271]
scalar covb6b273=V[6,273]
scalar covb11b12=V[11,12]
scalar covb11b14=V[11,14]
scalar covb11b15=V[11,15]
scalar covb11b17=V[11,17]
scalar covb11b18=V[11,18]
scalar covb11b23=V[11,23]
scalar covb11b24=V[11,24]
scalar covb11b26=V[11,26]
scalar covb11b27=V[11,27]
scalar covb11b36=V[11,36]
scalar covb11b37=V[11,37]
scalar covb11b48=V[11,48]
scalar covb11b49=V[11,49]
scalar covb11b52=V[11,52]
scalar covb11b53=V[11,53]
scalar covb11b56=V[11,56]
scalar covb11b57=V[11,57]
scalar covb11b60=V[11,60]
scalar covb11b61=V[11,61]
scalar covb11b68=V[11,68]
scalar covb11b69=V[11,69]
scalar covb11b72=V[11,72]
scalar covb11b73=V[11,73]
scalar covb11b108=V[11,108]
scalar covb11b109=V[11,109]
scalar covb11b120=V[11,120]
scalar covb11b121=V[11,121]
scalar covb11b124=V[11,124]
scalar covb11b125=V[11,125]
scalar covb11b131=V[11,131]
scalar covb11b133=V[11,133]
scalar covb11b149=V[11,149]
scalar covb11b151=V[11,151]
scalar covb11b155=V[11,155]
scalar covb11b157=V[11,157]
scalar covb11b163=V[11,163]
scalar covb11b165=V[11,165]
scalar covb11b181=V[11,181]
scalar covb11b183=V[11,183]
scalar covb11b187=V[11,187]
scalar covb11b189=V[11,189]
scalar covb11b195=V[11,195]
scalar covb11b197=V[11,197]
scalar covb11b213=V[11,213]
scalar covb11b215=V[11,215]
scalar covb11b219=V[11,219]
scalar covb11b221=V[11,221]
scalar covb11b224=V[11,224]
scalar covb11b225=V[11,225]
scalar covb11b236=V[11,236]
scalar covb11b237=V[11,237]
scalar covb11b240=V[11,240]
scalar covb11b241=V[11,241]
scalar covb11b247=V[11,247]
scalar covb11b249=V[11,249]
scalar covb11b265=V[11,265]
scalar covb11b267=V[11,267]
scalar covb11b271=V[11,271]
scalar covb11b273=V[11,273]
scalar covb12b14=V[12,14]
scalar covb12b15=V[12,15]
scalar covb12b17=V[12,17]
scalar covb12b18=V[12,18]
scalar covb12b23=V[12,23]
scalar covb12b24=V[12,24]
scalar covb12b26=V[12,26]
scalar covb12b27=V[12,27]
scalar covb12b36=V[12,36]
scalar covb12b37=V[12,37]
scalar covb12b48=V[12,48]
scalar covb12b49=V[12,49]
scalar covb12b52=V[12,52]
scalar covb12b53=V[12,53]
scalar covb12b56=V[12,56]
scalar covb12b57=V[12,57]
scalar covb12b60=V[12,60]
scalar covb12b61=V[12,61]
scalar covb12b68=V[12,68]
scalar covb12b69=V[12,69]
scalar covb12b72=V[12,72]
scalar covb12b73=V[12,73]
scalar covb12b108=V[12,108]
scalar covb12b109=V[12,109]
scalar covb12b120=V[12,120]
scalar covb12b121=V[12,121]
scalar covb12b124=V[12,124]
scalar covb12b125=V[12,125]
scalar covb12b131=V[12,131]
scalar covb12b133=V[12,133]
scalar covb12b149=V[12,149]
scalar covb12b151=V[12,151]
scalar covb12b155=V[12,155]
scalar covb12b157=V[12,157]
scalar covb12b163=V[12,163]
scalar covb12b165=V[12,165]
scalar covb12b181=V[12,181]
scalar covb12b183=V[12,183]
scalar covb12b187=V[12,187]
scalar covb12b189=V[12,189]
scalar covb12b195=V[12,195]
scalar covb12b197=V[12,197]
scalar covb12b213=V[12,213]
scalar covb12b215=V[12,215]
scalar covb12b219=V[12,219]
scalar covb12b221=V[12,221]
scalar covb12b224=V[12,224]
scalar covb12b225=V[12,225]
scalar covb12b236=V[12,236]
scalar covb12b237=V[12,237]
scalar covb12b240=V[12,240]
scalar covb12b241=V[12,241]
scalar covb12b247=V[12,247]
scalar covb12b249=V[12,249]
scalar covb12b265=V[12,265]
scalar covb12b267=V[12,267]
scalar covb12b271=V[12,271]
scalar covb12b273=V[12,273]
scalar covb14b15=V[14,15]
scalar covb14b17=V[14,17]
scalar covb14b18=V[14,18]
scalar covb14b23=V[14,23]
scalar covb14b24=V[14,24]
scalar covb14b26=V[14,26]
scalar covb14b27=V[14,27]
scalar covb14b36=V[14,36]
scalar covb14b37=V[14,37]
scalar covb14b48=V[14,48]
scalar covb14b49=V[14,49]
scalar covb14b52=V[14,52]
scalar covb14b53=V[14,53]
scalar covb14b56=V[14,56]
scalar covb14b57=V[14,57]
scalar covb14b60=V[14,60]
scalar covb14b61=V[14,61]
scalar covb14b68=V[14,68]
scalar covb14b69=V[14,69]
scalar covb14b72=V[14,72]
scalar covb14b73=V[14,73]
scalar covb14b108=V[14,108]
scalar covb14b109=V[14,109]
scalar covb14b120=V[14,120]
scalar covb14b121=V[14,121]
scalar covb14b124=V[14,124]
scalar covb14b125=V[14,125]
scalar covb14b131=V[14,131]
scalar covb14b133=V[14,133]
scalar covb14b149=V[14,149]
scalar covb14b151=V[14,151]
scalar covb14b155=V[14,155]
scalar covb14b157=V[14,157]
scalar covb14b163=V[14,163]
scalar covb14b165=V[14,165]
scalar covb14b181=V[14,181]
scalar covb14b183=V[14,183]
scalar covb14b187=V[14,187]
scalar covb14b189=V[14,189]
scalar covb14b195=V[14,195]
scalar covb14b197=V[14,197]
scalar covb14b213=V[14,213]
scalar covb14b215=V[14,215]
scalar covb14b219=V[14,219]
scalar covb14b221=V[14,221]
scalar covb14b224=V[14,224]
scalar covb14b225=V[14,225]
scalar covb14b236=V[14,236]
scalar covb14b237=V[14,237]
scalar covb14b240=V[14,240]
scalar covb14b241=V[14,241]
scalar covb14b247=V[14,247]
scalar covb14b249=V[14,249]
scalar covb14b265=V[14,265]
scalar covb14b267=V[14,267]
scalar covb14b271=V[14,271]
scalar covb14b273=V[14,273]
scalar covb15b17=V[15,17]
scalar covb15b18=V[15,18]
scalar covb15b23=V[15,23]
scalar covb15b24=V[15,24]
scalar covb15b26=V[15,26]
scalar covb15b27=V[15,27]
scalar covb15b36=V[15,36]
scalar covb15b37=V[15,37]
scalar covb15b48=V[15,48]
scalar covb15b49=V[15,49]
scalar covb15b52=V[15,52]
scalar covb15b53=V[15,53]
scalar covb15b56=V[15,56]
scalar covb15b57=V[15,57]
scalar covb15b60=V[15,60]
scalar covb15b61=V[15,61]
scalar covb15b68=V[15,68]
scalar covb15b69=V[15,69]
scalar covb15b72=V[15,72]
scalar covb15b73=V[15,73]
scalar covb15b108=V[15,108]
scalar covb15b109=V[15,109]
scalar covb15b120=V[15,120]
scalar covb15b121=V[15,121]
scalar covb15b124=V[15,124]
scalar covb15b125=V[15,125]
scalar covb15b131=V[15,131]
scalar covb15b133=V[15,133]
scalar covb15b149=V[15,149]
scalar covb15b151=V[15,151]
scalar covb15b155=V[15,155]
scalar covb15b157=V[15,157]
scalar covb15b163=V[15,163]
scalar covb15b165=V[15,165]
scalar covb15b181=V[15,181]
scalar covb15b183=V[15,183]
scalar covb15b187=V[15,187]
scalar covb15b189=V[15,189]
scalar covb15b195=V[15,195]
scalar covb15b197=V[15,197]
scalar covb15b213=V[15,213]
scalar covb15b215=V[15,215]
scalar covb15b219=V[15,219]
scalar covb15b221=V[15,221]
scalar covb15b224=V[15,224]
scalar covb15b225=V[15,225]
scalar covb15b236=V[15,236]
scalar covb15b237=V[15,237]
scalar covb15b240=V[15,240]
scalar covb15b241=V[15,241]
scalar covb15b247=V[15,247]
scalar covb15b249=V[15,249]
scalar covb15b265=V[15,265]
scalar covb15b267=V[15,267]
scalar covb15b271=V[15,271]
scalar covb15b273=V[15,273]
scalar covb17b18=V[17,18]
scalar covb17b23=V[17,23]
scalar covb17b24=V[17,24]
scalar covb17b26=V[17,26]
scalar covb17b27=V[17,27]
scalar covb17b36=V[17,36]
scalar covb17b37=V[17,37]
scalar covb17b48=V[17,48]
scalar covb17b49=V[17,49]
scalar covb17b52=V[17,52]
scalar covb17b53=V[17,53]
scalar covb17b56=V[17,56]
scalar covb17b57=V[17,57]
scalar covb17b60=V[17,60]
scalar covb17b61=V[17,61]
scalar covb17b68=V[17,68]
scalar covb17b69=V[17,69]
scalar covb17b72=V[17,72]
scalar covb17b73=V[17,73]
scalar covb17b108=V[17,108]
scalar covb17b109=V[17,109]
scalar covb17b120=V[17,120]
scalar covb17b121=V[17,121]
scalar covb17b124=V[17,124]
scalar covb17b125=V[17,125]
scalar covb17b131=V[17,131]
scalar covb17b133=V[17,133]
scalar covb17b149=V[17,149]
scalar covb17b151=V[17,151]
scalar covb17b155=V[17,155]
scalar covb17b157=V[17,157]
scalar covb17b163=V[17,163]
scalar covb17b165=V[17,165]
scalar covb17b181=V[17,181]
scalar covb17b183=V[17,183]
scalar covb17b187=V[17,187]
scalar covb17b189=V[17,189]
scalar covb17b195=V[17,195]
scalar covb17b197=V[17,197]
scalar covb17b213=V[17,213]
scalar covb17b215=V[17,215]
scalar covb17b219=V[17,219]
scalar covb17b221=V[17,221]
scalar covb17b224=V[17,224]
scalar covb17b225=V[17,225]
scalar covb17b236=V[17,236]
scalar covb17b237=V[17,237]
scalar covb17b240=V[17,240]
scalar covb17b241=V[17,241]
scalar covb17b247=V[17,247]
scalar covb17b249=V[17,249]
scalar covb17b265=V[17,265]
scalar covb17b267=V[17,267]
scalar covb17b271=V[17,271]
scalar covb17b273=V[17,273]
scalar covb18b23=V[18,23]
scalar covb18b24=V[18,24]
scalar covb18b26=V[18,26]
scalar covb18b27=V[18,27]
scalar covb18b36=V[18,36]
scalar covb18b37=V[18,37]
scalar covb18b48=V[18,48]
scalar covb18b49=V[18,49]
scalar covb18b52=V[18,52]
scalar covb18b53=V[18,53]
scalar covb18b56=V[18,56]
scalar covb18b57=V[18,57]
scalar covb18b60=V[18,60]
scalar covb18b61=V[18,61]
scalar covb18b68=V[18,68]
scalar covb18b69=V[18,69]
scalar covb18b72=V[18,72]
scalar covb18b73=V[18,73]
scalar covb18b108=V[18,108]
scalar covb18b109=V[18,109]
scalar covb18b120=V[18,120]
scalar covb18b121=V[18,121]
scalar covb18b124=V[18,124]
scalar covb18b125=V[18,125]
scalar covb18b131=V[18,131]
scalar covb18b133=V[18,133]
scalar covb18b149=V[18,149]
scalar covb18b151=V[18,151]
scalar covb18b155=V[18,155]
scalar covb18b157=V[18,157]
scalar covb18b163=V[18,163]
scalar covb18b165=V[18,165]
scalar covb18b181=V[18,181]
scalar covb18b183=V[18,183]
scalar covb18b187=V[18,187]
scalar covb18b189=V[18,189]
scalar covb18b195=V[18,195]
scalar covb18b197=V[18,197]
scalar covb18b213=V[18,213]
scalar covb18b215=V[18,215]
scalar covb18b219=V[18,219]
scalar covb18b221=V[18,221]
scalar covb18b224=V[18,224]
scalar covb18b225=V[18,225]
scalar covb18b236=V[18,236]
scalar covb18b237=V[18,237]
scalar covb18b240=V[18,240]
scalar covb18b241=V[18,241]
scalar covb18b247=V[18,247]
scalar covb18b249=V[18,249]
scalar covb18b265=V[18,265]
scalar covb18b267=V[18,267]
scalar covb18b271=V[18,271]
scalar covb18b273=V[18,273]
scalar covb23b24=V[23,24]
scalar covb23b26=V[23,26]
scalar covb23b27=V[23,27]
scalar covb23b36=V[23,36]
scalar covb23b37=V[23,37]
scalar covb23b48=V[23,48]
scalar covb23b49=V[23,49]
scalar covb23b52=V[23,52]
scalar covb23b53=V[23,53]
scalar covb23b56=V[23,56]
scalar covb23b57=V[23,57]
scalar covb23b60=V[23,60]
scalar covb23b61=V[23,61]
scalar covb23b68=V[23,68]
scalar covb23b69=V[23,69]
scalar covb23b72=V[23,72]
scalar covb23b73=V[23,73]
scalar covb23b108=V[23,108]
scalar covb23b109=V[23,109]
scalar covb23b120=V[23,120]
scalar covb23b121=V[23,121]
scalar covb23b124=V[23,124]
scalar covb23b125=V[23,125]
scalar covb23b131=V[23,131]
scalar covb23b133=V[23,133]
scalar covb23b149=V[23,149]
scalar covb23b151=V[23,151]
scalar covb23b155=V[23,155]
scalar covb23b157=V[23,157]
scalar covb23b163=V[23,163]
scalar covb23b165=V[23,165]
scalar covb23b181=V[23,181]
scalar covb23b183=V[23,183]
scalar covb23b187=V[23,187]
scalar covb23b189=V[23,189]
scalar covb23b195=V[23,195]
scalar covb23b197=V[23,197]
scalar covb23b213=V[23,213]
scalar covb23b215=V[23,215]
scalar covb23b219=V[23,219]
scalar covb23b221=V[23,221]
scalar covb23b224=V[23,224]
scalar covb23b225=V[23,225]
scalar covb23b236=V[23,236]
scalar covb23b237=V[23,237]
scalar covb23b240=V[23,240]
scalar covb23b241=V[23,241]
scalar covb23b247=V[23,247]
scalar covb23b249=V[23,249]
scalar covb23b265=V[23,265]
scalar covb23b267=V[23,267]
scalar covb23b271=V[23,271]
scalar covb23b273=V[23,273]
scalar covb24b26=V[24,26]
scalar covb24b27=V[24,27]
scalar covb24b36=V[24,36]
scalar covb24b37=V[24,37]
scalar covb24b48=V[24,48]
scalar covb24b49=V[24,49]
scalar covb24b52=V[24,52]
scalar covb24b53=V[24,53]
scalar covb24b56=V[24,56]
scalar covb24b57=V[24,57]
scalar covb24b60=V[24,60]
scalar covb24b61=V[24,61]
scalar covb24b68=V[24,68]
scalar covb24b69=V[24,69]
scalar covb24b72=V[24,72]
scalar covb24b73=V[24,73]
scalar covb24b108=V[24,108]
scalar covb24b109=V[24,109]
scalar covb24b120=V[24,120]
scalar covb24b121=V[24,121]
scalar covb24b124=V[24,124]
scalar covb24b125=V[24,125]
scalar covb24b131=V[24,131]
scalar covb24b133=V[24,133]
scalar covb24b149=V[24,149]
scalar covb24b151=V[24,151]
scalar covb24b155=V[24,155]
scalar covb24b157=V[24,157]
scalar covb24b163=V[24,163]
scalar covb24b165=V[24,165]
scalar covb24b181=V[24,181]
scalar covb24b183=V[24,183]
scalar covb24b187=V[24,187]
scalar covb24b189=V[24,189]
scalar covb24b195=V[24,195]
scalar covb24b197=V[24,197]
scalar covb24b213=V[24,213]
scalar covb24b215=V[24,215]
scalar covb24b219=V[24,219]
scalar covb24b221=V[24,221]
scalar covb24b224=V[24,224]
scalar covb24b225=V[24,225]
scalar covb24b236=V[24,236]
scalar covb24b237=V[24,237]
scalar covb24b240=V[24,240]
scalar covb24b241=V[24,241]
scalar covb24b247=V[24,247]
scalar covb24b249=V[24,249]
scalar covb24b265=V[24,265]
scalar covb24b267=V[24,267]
scalar covb24b271=V[24,271]
scalar covb24b273=V[24,273]
scalar covb26b27=V[26,27]
scalar covb26b36=V[26,36]
scalar covb26b37=V[26,37]
scalar covb26b48=V[26,48]
scalar covb26b49=V[26,49]
scalar covb26b52=V[26,52]
scalar covb26b53=V[26,53]
scalar covb26b56=V[26,56]
scalar covb26b57=V[26,57]
scalar covb26b60=V[26,60]
scalar covb26b61=V[26,61]
scalar covb26b68=V[26,68]
scalar covb26b69=V[26,69]
scalar covb26b72=V[26,72]
scalar covb26b73=V[26,73]
scalar covb26b108=V[26,108]
scalar covb26b109=V[26,109]
scalar covb26b120=V[26,120]
scalar covb26b121=V[26,121]
scalar covb26b124=V[26,124]
scalar covb26b125=V[26,125]
scalar covb26b131=V[26,131]
scalar covb26b133=V[26,133]
scalar covb26b149=V[26,149]
scalar covb26b151=V[26,151]
scalar covb26b155=V[26,155]
scalar covb26b157=V[26,157]
scalar covb26b163=V[26,163]
scalar covb26b165=V[26,165]
scalar covb26b181=V[26,181]
scalar covb26b183=V[26,183]
scalar covb26b187=V[26,187]
scalar covb26b189=V[26,189]
scalar covb26b195=V[26,195]
scalar covb26b197=V[26,197]
scalar covb26b213=V[26,213]
scalar covb26b215=V[26,215]
scalar covb26b219=V[26,219]
scalar covb26b221=V[26,221]
scalar covb26b224=V[26,224]
scalar covb26b225=V[26,225]
scalar covb26b236=V[26,236]
scalar covb26b237=V[26,237]
scalar covb26b240=V[26,240]
scalar covb26b241=V[26,241]
scalar covb26b247=V[26,247]
scalar covb26b249=V[26,249]
scalar covb26b265=V[26,265]
scalar covb26b267=V[26,267]
scalar covb26b271=V[26,271]
scalar covb26b273=V[26,273]
scalar covb27b36=V[27,36]
scalar covb27b37=V[27,37]
scalar covb27b48=V[27,48]
scalar covb27b49=V[27,49]
scalar covb27b52=V[27,52]
scalar covb27b53=V[27,53]
scalar covb27b56=V[27,56]
scalar covb27b57=V[27,57]
scalar covb27b60=V[27,60]
scalar covb27b61=V[27,61]
scalar covb27b68=V[27,68]
scalar covb27b69=V[27,69]
scalar covb27b72=V[27,72]
scalar covb27b73=V[27,73]
scalar covb27b108=V[27,108]
scalar covb27b109=V[27,109]
scalar covb27b120=V[27,120]
scalar covb27b121=V[27,121]
scalar covb27b124=V[27,124]
scalar covb27b125=V[27,125]
scalar covb27b131=V[27,131]
scalar covb27b133=V[27,133]
scalar covb27b149=V[27,149]
scalar covb27b151=V[27,151]
scalar covb27b155=V[27,155]
scalar covb27b157=V[27,157]
scalar covb27b163=V[27,163]
scalar covb27b165=V[27,165]
scalar covb27b181=V[27,181]
scalar covb27b183=V[27,183]
scalar covb27b187=V[27,187]
scalar covb27b189=V[27,189]
scalar covb27b195=V[27,195]
scalar covb27b197=V[27,197]
scalar covb27b213=V[27,213]
scalar covb27b215=V[27,215]
scalar covb27b219=V[27,219]
scalar covb27b221=V[27,221]
scalar covb27b224=V[27,224]
scalar covb27b225=V[27,225]
scalar covb27b236=V[27,236]
scalar covb27b237=V[27,237]
scalar covb27b240=V[27,240]
scalar covb27b241=V[27,241]
scalar covb27b247=V[27,247]
scalar covb27b249=V[27,249]
scalar covb27b265=V[27,265]
scalar covb27b267=V[27,267]
scalar covb27b271=V[27,271]
scalar covb27b273=V[27,273]
scalar covb36b37=V[36,37]
scalar covb36b48=V[36,48]
scalar covb36b49=V[36,49]
scalar covb36b52=V[36,52]
scalar covb36b53=V[36,53]
scalar covb36b56=V[36,56]
scalar covb36b57=V[36,57]
scalar covb36b60=V[36,60]
scalar covb36b61=V[36,61]
scalar covb36b68=V[36,68]
scalar covb36b69=V[36,69]
scalar covb36b72=V[36,72]
scalar covb36b73=V[36,73]
scalar covb36b108=V[36,108]
scalar covb36b109=V[36,109]
scalar covb36b120=V[36,120]
scalar covb36b121=V[36,121]
scalar covb36b124=V[36,124]
scalar covb36b125=V[36,125]
scalar covb36b131=V[36,131]
scalar covb36b133=V[36,133]
scalar covb36b149=V[36,149]
scalar covb36b151=V[36,151]
scalar covb36b155=V[36,155]
scalar covb36b157=V[36,157]
scalar covb36b163=V[36,163]
scalar covb36b165=V[36,165]
scalar covb36b181=V[36,181]
scalar covb36b183=V[36,183]
scalar covb36b187=V[36,187]
scalar covb36b189=V[36,189]
scalar covb36b195=V[36,195]
scalar covb36b197=V[36,197]
scalar covb36b213=V[36,213]
scalar covb36b215=V[36,215]
scalar covb36b219=V[36,219]
scalar covb36b221=V[36,221]
scalar covb36b224=V[36,224]
scalar covb36b225=V[36,225]
scalar covb36b236=V[36,236]
scalar covb36b237=V[36,237]
scalar covb36b240=V[36,240]
scalar covb36b241=V[36,241]
scalar covb36b247=V[36,247]
scalar covb36b249=V[36,249]
scalar covb36b265=V[36,265]
scalar covb36b267=V[36,267]
scalar covb36b271=V[36,271]
scalar covb36b273=V[36,273]
scalar covb37b48=V[37,48]
scalar covb37b49=V[37,49]
scalar covb37b52=V[37,52]
scalar covb37b53=V[37,53]
scalar covb37b56=V[37,56]
scalar covb37b57=V[37,57]
scalar covb37b60=V[37,60]
scalar covb37b61=V[37,61]
scalar covb37b68=V[37,68]
scalar covb37b69=V[37,69]
scalar covb37b72=V[37,72]
scalar covb37b73=V[37,73]
scalar covb37b108=V[37,108]
scalar covb37b109=V[37,109]
scalar covb37b120=V[37,120]
scalar covb37b121=V[37,121]
scalar covb37b124=V[37,124]
scalar covb37b125=V[37,125]
scalar covb37b131=V[37,131]
scalar covb37b133=V[37,133]
scalar covb37b149=V[37,149]
scalar covb37b151=V[37,151]
scalar covb37b155=V[37,155]
scalar covb37b157=V[37,157]
scalar covb37b163=V[37,163]
scalar covb37b165=V[37,165]
scalar covb37b181=V[37,181]
scalar covb37b183=V[37,183]
scalar covb37b187=V[37,187]
scalar covb37b189=V[37,189]
scalar covb37b195=V[37,195]
scalar covb37b197=V[37,197]
scalar covb37b213=V[37,213]
scalar covb37b215=V[37,215]
scalar covb37b219=V[37,219]
scalar covb37b221=V[37,221]
scalar covb37b224=V[37,224]
scalar covb37b225=V[37,225]
scalar covb37b236=V[37,236]
scalar covb37b237=V[37,237]
scalar covb37b240=V[37,240]
scalar covb37b241=V[37,241]
scalar covb37b247=V[37,247]
scalar covb37b249=V[37,249]
scalar covb37b265=V[37,265]
scalar covb37b267=V[37,267]
scalar covb37b271=V[37,271]
scalar covb37b273=V[37,273]
scalar covb48b49=V[48,49]
scalar covb48b52=V[48,52]
scalar covb48b53=V[48,53]
scalar covb48b56=V[48,56]
scalar covb48b57=V[48,57]
scalar covb48b60=V[48,60]
scalar covb48b61=V[48,61]
scalar covb48b68=V[48,68]
scalar covb48b69=V[48,69]
scalar covb48b72=V[48,72]
scalar covb48b73=V[48,73]
scalar covb48b108=V[48,108]
scalar covb48b109=V[48,109]
scalar covb48b120=V[48,120]
scalar covb48b121=V[48,121]
scalar covb48b124=V[48,124]
scalar covb48b125=V[48,125]
scalar covb48b131=V[48,131]
scalar covb48b133=V[48,133]
scalar covb48b149=V[48,149]
scalar covb48b151=V[48,151]
scalar covb48b155=V[48,155]
scalar covb48b157=V[48,157]
scalar covb48b163=V[48,163]
scalar covb48b165=V[48,165]
scalar covb48b181=V[48,181]
scalar covb48b183=V[48,183]
scalar covb48b187=V[48,187]
scalar covb48b189=V[48,189]
scalar covb48b195=V[48,195]
scalar covb48b197=V[48,197]
scalar covb48b213=V[48,213]
scalar covb48b215=V[48,215]
scalar covb48b219=V[48,219]
scalar covb48b221=V[48,221]
scalar covb48b224=V[48,224]
scalar covb48b225=V[48,225]
scalar covb48b236=V[48,236]
scalar covb48b237=V[48,237]
scalar covb48b240=V[48,240]
scalar covb48b241=V[48,241]
scalar covb48b247=V[48,247]
scalar covb48b249=V[48,249]
scalar covb48b265=V[48,265]
scalar covb48b267=V[48,267]
scalar covb48b271=V[48,271]
scalar covb48b273=V[48,273]
scalar covb49b52=V[49,52]
scalar covb49b53=V[49,53]
scalar covb49b56=V[49,56]
scalar covb49b57=V[49,57]
scalar covb49b60=V[49,60]
scalar covb49b61=V[49,61]
scalar covb49b68=V[49,68]
scalar covb49b69=V[49,69]
scalar covb49b72=V[49,72]
scalar covb49b73=V[49,73]
scalar covb49b108=V[49,108]
scalar covb49b109=V[49,109]
scalar covb49b120=V[49,120]
scalar covb49b121=V[49,121]
scalar covb49b124=V[49,124]
scalar covb49b125=V[49,125]
scalar covb49b131=V[49,131]
scalar covb49b133=V[49,133]
scalar covb49b149=V[49,149]
scalar covb49b151=V[49,151]
scalar covb49b155=V[49,155]
scalar covb49b157=V[49,157]
scalar covb49b163=V[49,163]
scalar covb49b165=V[49,165]
scalar covb49b181=V[49,181]
scalar covb49b183=V[49,183]
scalar covb49b187=V[49,187]
scalar covb49b189=V[49,189]
scalar covb49b195=V[49,195]
scalar covb49b197=V[49,197]
scalar covb49b213=V[49,213]
scalar covb49b215=V[49,215]
scalar covb49b219=V[49,219]
scalar covb49b221=V[49,221]
scalar covb49b224=V[49,224]
scalar covb49b225=V[49,225]
scalar covb49b236=V[49,236]
scalar covb49b237=V[49,237]
scalar covb49b240=V[49,240]
scalar covb49b241=V[49,241]
scalar covb49b247=V[49,247]
scalar covb49b249=V[49,249]
scalar covb49b265=V[49,265]
scalar covb49b267=V[49,267]
scalar covb49b271=V[49,271]
scalar covb49b273=V[49,273]
scalar covb52b53=V[52,53]
scalar covb52b56=V[52,56]
scalar covb52b57=V[52,57]
scalar covb52b60=V[52,60]
scalar covb52b61=V[52,61]
scalar covb52b68=V[52,68]
scalar covb52b69=V[52,69]
scalar covb52b72=V[52,72]
scalar covb52b73=V[52,73]
scalar covb52b108=V[52,108]
scalar covb52b109=V[52,109]
scalar covb52b120=V[52,120]
scalar covb52b121=V[52,121]
scalar covb52b124=V[52,124]
scalar covb52b125=V[52,125]
scalar covb52b131=V[52,131]
scalar covb52b133=V[52,133]
scalar covb52b149=V[52,149]
scalar covb52b151=V[52,151]
scalar covb52b155=V[52,155]
scalar covb52b157=V[52,157]
scalar covb52b163=V[52,163]
scalar covb52b165=V[52,165]
scalar covb52b181=V[52,181]
scalar covb52b183=V[52,183]
scalar covb52b187=V[52,187]
scalar covb52b189=V[52,189]
scalar covb52b195=V[52,195]
scalar covb52b197=V[52,197]
scalar covb52b213=V[52,213]
scalar covb52b215=V[52,215]
scalar covb52b219=V[52,219]
scalar covb52b221=V[52,221]
scalar covb52b224=V[52,224]
scalar covb52b225=V[52,225]
scalar covb52b236=V[52,236]
scalar covb52b237=V[52,237]
scalar covb52b240=V[52,240]
scalar covb52b241=V[52,241]
scalar covb52b247=V[52,247]
scalar covb52b249=V[52,249]
scalar covb52b265=V[52,265]
scalar covb52b267=V[52,267]
scalar covb52b271=V[52,271]
scalar covb52b273=V[52,273]
scalar covb53b56=V[53,56]
scalar covb53b57=V[53,57]
scalar covb53b60=V[53,60]
scalar covb53b61=V[53,61]
scalar covb53b68=V[53,68]
scalar covb53b69=V[53,69]
scalar covb53b72=V[53,72]
scalar covb53b73=V[53,73]
scalar covb53b108=V[53,108]
scalar covb53b109=V[53,109]
scalar covb53b120=V[53,120]
scalar covb53b121=V[53,121]
scalar covb53b124=V[53,124]
scalar covb53b125=V[53,125]
scalar covb53b131=V[53,131]
scalar covb53b133=V[53,133]
scalar covb53b149=V[53,149]
scalar covb53b151=V[53,151]
scalar covb53b155=V[53,155]
scalar covb53b157=V[53,157]
scalar covb53b163=V[53,163]
scalar covb53b165=V[53,165]
scalar covb53b181=V[53,181]
scalar covb53b183=V[53,183]
scalar covb53b187=V[53,187]
scalar covb53b189=V[53,189]
scalar covb53b195=V[53,195]
scalar covb53b197=V[53,197]
scalar covb53b213=V[53,213]
scalar covb53b215=V[53,215]
scalar covb53b219=V[53,219]
scalar covb53b221=V[53,221]
scalar covb53b224=V[53,224]
scalar covb53b225=V[53,225]
scalar covb53b236=V[53,236]
scalar covb53b237=V[53,237]
scalar covb53b240=V[53,240]
scalar covb53b241=V[53,241]
scalar covb53b247=V[53,247]
scalar covb53b249=V[53,249]
scalar covb53b265=V[53,265]
scalar covb53b267=V[53,267]
scalar covb53b271=V[53,271]
scalar covb53b273=V[53,273]
scalar covb56b57=V[56,57]
scalar covb56b60=V[56,60]
scalar covb56b61=V[56,61]
scalar covb56b68=V[56,68]
scalar covb56b69=V[56,69]
scalar covb56b72=V[56,72]
scalar covb56b73=V[56,73]
scalar covb56b108=V[56,108]
scalar covb56b109=V[56,109]
scalar covb56b120=V[56,120]
scalar covb56b121=V[56,121]
scalar covb56b124=V[56,124]
scalar covb56b125=V[56,125]
scalar covb56b131=V[56,131]
scalar covb56b133=V[56,133]
scalar covb56b149=V[56,149]
scalar covb56b151=V[56,151]
scalar covb56b155=V[56,155]
scalar covb56b157=V[56,157]
scalar covb56b163=V[56,163]
scalar covb56b165=V[56,165]
scalar covb56b181=V[56,181]
scalar covb56b183=V[56,183]
scalar covb56b187=V[56,187]
scalar covb56b189=V[56,189]
scalar covb56b195=V[56,195]
scalar covb56b197=V[56,197]
scalar covb56b213=V[56,213]
scalar covb56b215=V[56,215]
scalar covb56b219=V[56,219]
scalar covb56b221=V[56,221]
scalar covb56b224=V[56,224]
scalar covb56b225=V[56,225]
scalar covb56b236=V[56,236]
scalar covb56b237=V[56,237]
scalar covb56b240=V[56,240]
scalar covb56b241=V[56,241]
scalar covb56b247=V[56,247]
scalar covb56b249=V[56,249]
scalar covb56b265=V[56,265]
scalar covb56b267=V[56,267]
scalar covb56b271=V[56,271]
scalar covb56b273=V[56,273]
scalar covb57b60=V[57,60]
scalar covb57b61=V[57,61]
scalar covb57b68=V[57,68]
scalar covb57b69=V[57,69]
scalar covb57b72=V[57,72]
scalar covb57b73=V[57,73]
scalar covb57b108=V[57,108]
scalar covb57b109=V[57,109]
scalar covb57b120=V[57,120]
scalar covb57b121=V[57,121]
scalar covb57b124=V[57,124]
scalar covb57b125=V[57,125]
scalar covb57b131=V[57,131]
scalar covb57b133=V[57,133]
scalar covb57b149=V[57,149]
scalar covb57b151=V[57,151]
scalar covb57b155=V[57,155]
scalar covb57b157=V[57,157]
scalar covb57b163=V[57,163]
scalar covb57b165=V[57,165]
scalar covb57b181=V[57,181]
scalar covb57b183=V[57,183]
scalar covb57b187=V[57,187]
scalar covb57b189=V[57,189]
scalar covb57b195=V[57,195]
scalar covb57b197=V[57,197]
scalar covb57b213=V[57,213]
scalar covb57b215=V[57,215]
scalar covb57b219=V[57,219]
scalar covb57b221=V[57,221]
scalar covb57b224=V[57,224]
scalar covb57b225=V[57,225]
scalar covb57b236=V[57,236]
scalar covb57b237=V[57,237]
scalar covb57b240=V[57,240]
scalar covb57b241=V[57,241]
scalar covb57b247=V[57,247]
scalar covb57b249=V[57,249]
scalar covb57b265=V[57,265]
scalar covb57b267=V[57,267]
scalar covb57b271=V[57,271]
scalar covb57b273=V[57,273]
scalar covb60b61=V[60,61]
scalar covb60b68=V[60,68]
scalar covb60b69=V[60,69]
scalar covb60b72=V[60,72]
scalar covb60b73=V[60,73]
scalar covb60b108=V[60,108]
scalar covb60b109=V[60,109]
scalar covb60b120=V[60,120]
scalar covb60b121=V[60,121]
scalar covb60b124=V[60,124]
scalar covb60b125=V[60,125]
scalar covb60b131=V[60,131]
scalar covb60b133=V[60,133]
scalar covb60b149=V[60,149]
scalar covb60b151=V[60,151]
scalar covb60b155=V[60,155]
scalar covb60b157=V[60,157]
scalar covb60b163=V[60,163]
scalar covb60b165=V[60,165]
scalar covb60b181=V[60,181]
scalar covb60b183=V[60,183]
scalar covb60b187=V[60,187]
scalar covb60b189=V[60,189]
scalar covb60b195=V[60,195]
scalar covb60b197=V[60,197]
scalar covb60b213=V[60,213]
scalar covb60b215=V[60,215]
scalar covb60b219=V[60,219]
scalar covb60b221=V[60,221]
scalar covb60b224=V[60,224]
scalar covb60b225=V[60,225]
scalar covb60b236=V[60,236]
scalar covb60b237=V[60,237]
scalar covb60b240=V[60,240]
scalar covb60b241=V[60,241]
scalar covb60b247=V[60,247]
scalar covb60b249=V[60,249]
scalar covb60b265=V[60,265]
scalar covb60b267=V[60,267]
scalar covb60b271=V[60,271]
scalar covb60b273=V[60,273]
scalar covb61b68=V[61,68]
scalar covb61b69=V[61,69]
scalar covb61b72=V[61,72]
scalar covb61b73=V[61,73]
scalar covb61b108=V[61,108]
scalar covb61b109=V[61,109]
scalar covb61b120=V[61,120]
scalar covb61b121=V[61,121]
scalar covb61b124=V[61,124]
scalar covb61b125=V[61,125]
scalar covb61b131=V[61,131]
scalar covb61b133=V[61,133]
scalar covb61b149=V[61,149]
scalar covb61b151=V[61,151]
scalar covb61b155=V[61,155]
scalar covb61b157=V[61,157]
scalar covb61b163=V[61,163]
scalar covb61b165=V[61,165]
scalar covb61b181=V[61,181]
scalar covb61b183=V[61,183]
scalar covb61b187=V[61,187]
scalar covb61b189=V[61,189]
scalar covb61b195=V[61,195]
scalar covb61b197=V[61,197]
scalar covb61b213=V[61,213]
scalar covb61b215=V[61,215]
scalar covb61b219=V[61,219]
scalar covb61b221=V[61,221]
scalar covb61b224=V[61,224]
scalar covb61b225=V[61,225]
scalar covb61b236=V[61,236]
scalar covb61b237=V[61,237]
scalar covb61b240=V[61,240]
scalar covb61b241=V[61,241]
scalar covb61b247=V[61,247]
scalar covb61b249=V[61,249]
scalar covb61b265=V[61,265]
scalar covb61b267=V[61,267]
scalar covb61b271=V[61,271]
scalar covb61b273=V[61,273]
scalar covb68b69=V[68,69]
scalar covb68b72=V[68,72]
scalar covb68b73=V[68,73]
scalar covb68b108=V[68,108]
scalar covb68b109=V[68,109]
scalar covb68b120=V[68,120]
scalar covb68b121=V[68,121]
scalar covb68b124=V[68,124]
scalar covb68b125=V[68,125]
scalar covb68b131=V[68,131]
scalar covb68b133=V[68,133]
scalar covb68b149=V[68,149]
scalar covb68b151=V[68,151]
scalar covb68b155=V[68,155]
scalar covb68b157=V[68,157]
scalar covb68b163=V[68,163]
scalar covb68b165=V[68,165]
scalar covb68b181=V[68,181]
scalar covb68b183=V[68,183]
scalar covb68b187=V[68,187]
scalar covb68b189=V[68,189]
scalar covb68b195=V[68,195]
scalar covb68b197=V[68,197]
scalar covb68b213=V[68,213]
scalar covb68b215=V[68,215]
scalar covb68b219=V[68,219]
scalar covb68b221=V[68,221]
scalar covb68b224=V[68,224]
scalar covb68b225=V[68,225]
scalar covb68b236=V[68,236]
scalar covb68b237=V[68,237]
scalar covb68b240=V[68,240]
scalar covb68b241=V[68,241]
scalar covb68b247=V[68,247]
scalar covb68b249=V[68,249]
scalar covb68b265=V[68,265]
scalar covb68b267=V[68,267]
scalar covb68b271=V[68,271]
scalar covb68b273=V[68,273]
scalar covb69b72=V[69,72]
scalar covb69b73=V[69,73]
scalar covb69b108=V[69,108]
scalar covb69b109=V[69,109]
scalar covb69b120=V[69,120]
scalar covb69b121=V[69,121]
scalar covb69b124=V[69,124]
scalar covb69b125=V[69,125]
scalar covb69b131=V[69,131]
scalar covb69b133=V[69,133]
scalar covb69b149=V[69,149]
scalar covb69b151=V[69,151]
scalar covb69b155=V[69,155]
scalar covb69b157=V[69,157]
scalar covb69b163=V[69,163]
scalar covb69b165=V[69,165]
scalar covb69b181=V[69,181]
scalar covb69b183=V[69,183]
scalar covb69b187=V[69,187]
scalar covb69b189=V[69,189]
scalar covb69b195=V[69,195]
scalar covb69b197=V[69,197]
scalar covb69b213=V[69,213]
scalar covb69b215=V[69,215]
scalar covb69b219=V[69,219]
scalar covb69b221=V[69,221]
scalar covb69b224=V[69,224]
scalar covb69b225=V[69,225]
scalar covb69b236=V[69,236]
scalar covb69b237=V[69,237]
scalar covb69b240=V[69,240]
scalar covb69b241=V[69,241]
scalar covb69b247=V[69,247]
scalar covb69b249=V[69,249]
scalar covb69b265=V[69,265]
scalar covb69b267=V[69,267]
scalar covb69b271=V[69,271]
scalar covb69b273=V[69,273]
scalar covb72b73=V[72,73]
scalar covb72b108=V[72,108]
scalar covb72b109=V[72,109]
scalar covb72b120=V[72,120]
scalar covb72b121=V[72,121]
scalar covb72b124=V[72,124]
scalar covb72b125=V[72,125]
scalar covb72b131=V[72,131]
scalar covb72b133=V[72,133]
scalar covb72b149=V[72,149]
scalar covb72b151=V[72,151]
scalar covb72b155=V[72,155]
scalar covb72b157=V[72,157]
scalar covb72b163=V[72,163]
scalar covb72b165=V[72,165]
scalar covb72b181=V[72,181]
scalar covb72b183=V[72,183]
scalar covb72b187=V[72,187]
scalar covb72b189=V[72,189]
scalar covb72b195=V[72,195]
scalar covb72b197=V[72,197]
scalar covb72b213=V[72,213]
scalar covb72b215=V[72,215]
scalar covb72b219=V[72,219]
scalar covb72b221=V[72,221]
scalar covb72b224=V[72,224]
scalar covb72b225=V[72,225]
scalar covb72b236=V[72,236]
scalar covb72b237=V[72,237]
scalar covb72b240=V[72,240]
scalar covb72b241=V[72,241]
scalar covb72b247=V[72,247]
scalar covb72b249=V[72,249]
scalar covb72b265=V[72,265]
scalar covb72b267=V[72,267]
scalar covb72b271=V[72,271]
scalar covb72b273=V[72,273]
scalar covb73b108=V[73,108]
scalar covb73b109=V[73,109]
scalar covb73b120=V[73,120]
scalar covb73b121=V[73,121]
scalar covb73b124=V[73,124]
scalar covb73b125=V[73,125]
scalar covb73b131=V[73,131]
scalar covb73b133=V[73,133]
scalar covb73b149=V[73,149]
scalar covb73b151=V[73,151]
scalar covb73b155=V[73,155]
scalar covb73b157=V[73,157]
scalar covb73b163=V[73,163]
scalar covb73b165=V[73,165]
scalar covb73b181=V[73,181]
scalar covb73b183=V[73,183]
scalar covb73b187=V[73,187]
scalar covb73b189=V[73,189]
scalar covb73b195=V[73,195]
scalar covb73b197=V[73,197]
scalar covb73b213=V[73,213]
scalar covb73b215=V[73,215]
scalar covb73b219=V[73,219]
scalar covb73b221=V[73,221]
scalar covb73b224=V[73,224]
scalar covb73b225=V[73,225]
scalar covb73b236=V[73,236]
scalar covb73b237=V[73,237]
scalar covb73b240=V[73,240]
scalar covb73b241=V[73,241]
scalar covb73b247=V[73,247]
scalar covb73b249=V[73,249]
scalar covb73b265=V[73,265]
scalar covb73b267=V[73,267]
scalar covb73b271=V[73,271]
scalar covb73b273=V[73,273]
scalar covb108b109=V[108,109]
scalar covb108b120=V[108,120]
scalar covb108b121=V[108,121]
scalar covb108b124=V[108,124]
scalar covb108b125=V[108,125]
scalar covb108b131=V[108,131]
scalar covb108b133=V[108,133]
scalar covb108b149=V[108,149]
scalar covb108b151=V[108,151]
scalar covb108b155=V[108,155]
scalar covb108b157=V[108,157]
scalar covb108b163=V[108,163]
scalar covb108b165=V[108,165]
scalar covb108b181=V[108,181]
scalar covb108b183=V[108,183]
scalar covb108b187=V[108,187]
scalar covb108b189=V[108,189]
scalar covb108b195=V[108,195]
scalar covb108b197=V[108,197]
scalar covb108b213=V[108,213]
scalar covb108b215=V[108,215]
scalar covb108b219=V[108,219]
scalar covb108b221=V[108,221]
scalar covb108b224=V[108,224]
scalar covb108b225=V[108,225]
scalar covb108b236=V[108,236]
scalar covb108b237=V[108,237]
scalar covb108b240=V[108,240]
scalar covb108b241=V[108,241]
scalar covb108b247=V[108,247]
scalar covb108b249=V[108,249]
scalar covb108b265=V[108,265]
scalar covb108b267=V[108,267]
scalar covb108b271=V[108,271]
scalar covb108b273=V[108,273]
scalar covb109b120=V[109,120]
scalar covb109b121=V[109,121]
scalar covb109b124=V[109,124]
scalar covb109b125=V[109,125]
scalar covb109b131=V[109,131]
scalar covb109b133=V[109,133]
scalar covb109b149=V[109,149]
scalar covb109b151=V[109,151]
scalar covb109b155=V[109,155]
scalar covb109b157=V[109,157]
scalar covb109b163=V[109,163]
scalar covb109b165=V[109,165]
scalar covb109b181=V[109,181]
scalar covb109b183=V[109,183]
scalar covb109b187=V[109,187]
scalar covb109b189=V[109,189]
scalar covb109b195=V[109,195]
scalar covb109b197=V[109,197]
scalar covb109b213=V[109,213]
scalar covb109b215=V[109,215]
scalar covb109b219=V[109,219]
scalar covb109b221=V[109,221]
scalar covb109b224=V[109,224]
scalar covb109b225=V[109,225]
scalar covb109b236=V[109,236]
scalar covb109b237=V[109,237]
scalar covb109b240=V[109,240]
scalar covb109b241=V[109,241]
scalar covb109b247=V[109,247]
scalar covb109b249=V[109,249]
scalar covb109b265=V[109,265]
scalar covb109b267=V[109,267]
scalar covb109b271=V[109,271]
scalar covb109b273=V[109,273]
scalar covb120b121=V[120,121]
scalar covb120b124=V[120,124]
scalar covb120b125=V[120,125]
scalar covb120b131=V[120,131]
scalar covb120b133=V[120,133]
scalar covb120b149=V[120,149]
scalar covb120b151=V[120,151]
scalar covb120b155=V[120,155]
scalar covb120b157=V[120,157]
scalar covb120b163=V[120,163]
scalar covb120b165=V[120,165]
scalar covb120b181=V[120,181]
scalar covb120b183=V[120,183]
scalar covb120b187=V[120,187]
scalar covb120b189=V[120,189]
scalar covb120b195=V[120,195]
scalar covb120b197=V[120,197]
scalar covb120b213=V[120,213]
scalar covb120b215=V[120,215]
scalar covb120b219=V[120,219]
scalar covb120b221=V[120,221]
scalar covb120b224=V[120,224]
scalar covb120b225=V[120,225]
scalar covb120b236=V[120,236]
scalar covb120b237=V[120,237]
scalar covb120b240=V[120,240]
scalar covb120b241=V[120,241]
scalar covb120b247=V[120,247]
scalar covb120b249=V[120,249]
scalar covb120b265=V[120,265]
scalar covb120b267=V[120,267]
scalar covb120b271=V[120,271]
scalar covb120b273=V[120,273]
scalar covb121b124=V[121,124]
scalar covb121b125=V[121,125]
scalar covb121b131=V[121,131]
scalar covb121b133=V[121,133]
scalar covb121b149=V[121,149]
scalar covb121b151=V[121,151]
scalar covb121b155=V[121,155]
scalar covb121b157=V[121,157]
scalar covb121b163=V[121,163]
scalar covb121b165=V[121,165]
scalar covb121b181=V[121,181]
scalar covb121b183=V[121,183]
scalar covb121b187=V[121,187]
scalar covb121b189=V[121,189]
scalar covb121b195=V[121,195]
scalar covb121b197=V[121,197]
scalar covb121b213=V[121,213]
scalar covb121b215=V[121,215]
scalar covb121b219=V[121,219]
scalar covb121b221=V[121,221]
scalar covb121b224=V[121,224]
scalar covb121b225=V[121,225]
scalar covb121b236=V[121,236]
scalar covb121b237=V[121,237]
scalar covb121b240=V[121,240]
scalar covb121b241=V[121,241]
scalar covb121b247=V[121,247]
scalar covb121b249=V[121,249]
scalar covb121b265=V[121,265]
scalar covb121b267=V[121,267]
scalar covb121b271=V[121,271]
scalar covb121b273=V[121,273]
scalar covb124b125=V[124,125]
scalar covb124b131=V[124,131]
scalar covb124b133=V[124,133]
scalar covb124b149=V[124,149]
scalar covb124b151=V[124,151]
scalar covb124b155=V[124,155]
scalar covb124b157=V[124,157]
scalar covb124b163=V[124,163]
scalar covb124b165=V[124,165]
scalar covb124b181=V[124,181]
scalar covb124b183=V[124,183]
scalar covb124b187=V[124,187]
scalar covb124b189=V[124,189]
scalar covb124b195=V[124,195]
scalar covb124b197=V[124,197]
scalar covb124b213=V[124,213]
scalar covb124b215=V[124,215]
scalar covb124b219=V[124,219]
scalar covb124b221=V[124,221]
scalar covb124b224=V[124,224]
scalar covb124b225=V[124,225]
scalar covb124b236=V[124,236]
scalar covb124b237=V[124,237]
scalar covb124b240=V[124,240]
scalar covb124b241=V[124,241]
scalar covb124b247=V[124,247]
scalar covb124b249=V[124,249]
scalar covb124b265=V[124,265]
scalar covb124b267=V[124,267]
scalar covb124b271=V[124,271]
scalar covb124b273=V[124,273]
scalar covb125b131=V[125,131]
scalar covb125b133=V[125,133]
scalar covb125b149=V[125,149]
scalar covb125b151=V[125,151]
scalar covb125b155=V[125,155]
scalar covb125b157=V[125,157]
scalar covb125b163=V[125,163]
scalar covb125b165=V[125,165]
scalar covb125b181=V[125,181]
scalar covb125b183=V[125,183]
scalar covb125b187=V[125,187]
scalar covb125b189=V[125,189]
scalar covb125b195=V[125,195]
scalar covb125b197=V[125,197]
scalar covb125b213=V[125,213]
scalar covb125b215=V[125,215]
scalar covb125b219=V[125,219]
scalar covb125b221=V[125,221]
scalar covb125b224=V[125,224]
scalar covb125b225=V[125,225]
scalar covb125b236=V[125,236]
scalar covb125b237=V[125,237]
scalar covb125b240=V[125,240]
scalar covb125b241=V[125,241]
scalar covb125b247=V[125,247]
scalar covb125b249=V[125,249]
scalar covb125b265=V[125,265]
scalar covb125b267=V[125,267]
scalar covb125b271=V[125,271]
scalar covb125b273=V[125,273]
scalar covb131b133=V[131,133]
scalar covb131b149=V[131,149]
scalar covb131b151=V[131,151]
scalar covb131b155=V[131,155]
scalar covb131b157=V[131,157]
scalar covb131b163=V[131,163]
scalar covb131b165=V[131,165]
scalar covb131b181=V[131,181]
scalar covb131b183=V[131,183]
scalar covb131b187=V[131,187]
scalar covb131b189=V[131,189]
scalar covb131b195=V[131,195]
scalar covb131b197=V[131,197]
scalar covb131b213=V[131,213]
scalar covb131b215=V[131,215]
scalar covb131b219=V[131,219]
scalar covb131b221=V[131,221]
scalar covb131b224=V[131,224]
scalar covb131b225=V[131,225]
scalar covb131b236=V[131,236]
scalar covb131b237=V[131,237]
scalar covb131b240=V[131,240]
scalar covb131b241=V[131,241]
scalar covb131b247=V[131,247]
scalar covb131b249=V[131,249]
scalar covb131b265=V[131,265]
scalar covb131b267=V[131,267]
scalar covb131b271=V[131,271]
scalar covb131b273=V[131,273]
scalar covb133b149=V[133,149]
scalar covb133b151=V[133,151]
scalar covb133b155=V[133,155]
scalar covb133b157=V[133,157]
scalar covb133b163=V[133,163]
scalar covb133b165=V[133,165]
scalar covb133b181=V[133,181]
scalar covb133b183=V[133,183]
scalar covb133b187=V[133,187]
scalar covb133b189=V[133,189]
scalar covb133b195=V[133,195]
scalar covb133b197=V[133,197]
scalar covb133b213=V[133,213]
scalar covb133b215=V[133,215]
scalar covb133b219=V[133,219]
scalar covb133b221=V[133,221]
scalar covb133b224=V[133,224]
scalar covb133b225=V[133,225]
scalar covb133b236=V[133,236]
scalar covb133b237=V[133,237]
scalar covb133b240=V[133,240]
scalar covb133b241=V[133,241]
scalar covb133b247=V[133,247]
scalar covb133b249=V[133,249]
scalar covb133b265=V[133,265]
scalar covb133b267=V[133,267]
scalar covb133b271=V[133,271]
scalar covb133b273=V[133,273]
scalar covb149b151=V[149,151]
scalar covb149b155=V[149,155]
scalar covb149b157=V[149,157]
scalar covb149b163=V[149,163]
scalar covb149b165=V[149,165]
scalar covb149b181=V[149,181]
scalar covb149b183=V[149,183]
scalar covb149b187=V[149,187]
scalar covb149b189=V[149,189]
scalar covb149b195=V[149,195]
scalar covb149b197=V[149,197]
scalar covb149b213=V[149,213]
scalar covb149b215=V[149,215]
scalar covb149b219=V[149,219]
scalar covb149b221=V[149,221]
scalar covb149b224=V[149,224]
scalar covb149b225=V[149,225]
scalar covb149b236=V[149,236]
scalar covb149b237=V[149,237]
scalar covb149b240=V[149,240]
scalar covb149b241=V[149,241]
scalar covb149b247=V[149,247]
scalar covb149b249=V[149,249]
scalar covb149b265=V[149,265]
scalar covb149b267=V[149,267]
scalar covb149b271=V[149,271]
scalar covb149b273=V[149,273]
scalar covb151b155=V[151,155]
scalar covb151b157=V[151,157]
scalar covb151b163=V[151,163]
scalar covb151b165=V[151,165]
scalar covb151b181=V[151,181]
scalar covb151b183=V[151,183]
scalar covb151b187=V[151,187]
scalar covb151b189=V[151,189]
scalar covb151b195=V[151,195]
scalar covb151b197=V[151,197]
scalar covb151b213=V[151,213]
scalar covb151b215=V[151,215]
scalar covb151b219=V[151,219]
scalar covb151b221=V[151,221]
scalar covb151b224=V[151,224]
scalar covb151b225=V[151,225]
scalar covb151b236=V[151,236]
scalar covb151b237=V[151,237]
scalar covb151b240=V[151,240]
scalar covb151b241=V[151,241]
scalar covb151b247=V[151,247]
scalar covb151b249=V[151,249]
scalar covb151b265=V[151,265]
scalar covb151b267=V[151,267]
scalar covb151b271=V[151,271]
scalar covb151b273=V[151,273]
scalar covb155b157=V[155,157]
scalar covb155b163=V[155,163]
scalar covb155b165=V[155,165]
scalar covb155b181=V[155,181]
scalar covb155b183=V[155,183]
scalar covb155b187=V[155,187]
scalar covb155b189=V[155,189]
scalar covb155b195=V[155,195]
scalar covb155b197=V[155,197]
scalar covb155b213=V[155,213]
scalar covb155b215=V[155,215]
scalar covb155b219=V[155,219]
scalar covb155b221=V[155,221]
scalar covb155b224=V[155,224]
scalar covb155b225=V[155,225]
scalar covb155b236=V[155,236]
scalar covb155b237=V[155,237]
scalar covb155b240=V[155,240]
scalar covb155b241=V[155,241]
scalar covb155b247=V[155,247]
scalar covb155b249=V[155,249]
scalar covb155b265=V[155,265]
scalar covb155b267=V[155,267]
scalar covb155b271=V[155,271]
scalar covb155b273=V[155,273]
scalar covb157b163=V[157,163]
scalar covb157b165=V[157,165]
scalar covb157b181=V[157,181]
scalar covb157b183=V[157,183]
scalar covb157b187=V[157,187]
scalar covb157b189=V[157,189]
scalar covb157b195=V[157,195]
scalar covb157b197=V[157,197]
scalar covb157b213=V[157,213]
scalar covb157b215=V[157,215]
scalar covb157b219=V[157,219]
scalar covb157b221=V[157,221]
scalar covb157b224=V[157,224]
scalar covb157b225=V[157,225]
scalar covb157b236=V[157,236]
scalar covb157b237=V[157,237]
scalar covb157b240=V[157,240]
scalar covb157b241=V[157,241]
scalar covb157b247=V[157,247]
scalar covb157b249=V[157,249]
scalar covb157b265=V[157,265]
scalar covb157b267=V[157,267]
scalar covb157b271=V[157,271]
scalar covb157b273=V[157,273]
scalar covb163b165=V[163,165]
scalar covb163b181=V[163,181]
scalar covb163b183=V[163,183]
scalar covb163b187=V[163,187]
scalar covb163b189=V[163,189]
scalar covb163b195=V[163,195]
scalar covb163b197=V[163,197]
scalar covb163b213=V[163,213]
scalar covb163b215=V[163,215]
scalar covb163b219=V[163,219]
scalar covb163b221=V[163,221]
scalar covb163b224=V[163,224]
scalar covb163b225=V[163,225]
scalar covb163b236=V[163,236]
scalar covb163b237=V[163,237]
scalar covb163b240=V[163,240]
scalar covb163b241=V[163,241]
scalar covb163b247=V[163,247]
scalar covb163b249=V[163,249]
scalar covb163b265=V[163,265]
scalar covb163b267=V[163,267]
scalar covb163b271=V[163,271]
scalar covb163b273=V[163,273]
scalar covb165b181=V[165,181]
scalar covb165b183=V[165,183]
scalar covb165b187=V[165,187]
scalar covb165b189=V[165,189]
scalar covb165b195=V[165,195]
scalar covb165b197=V[165,197]
scalar covb165b213=V[165,213]
scalar covb165b215=V[165,215]
scalar covb165b219=V[165,219]
scalar covb165b221=V[165,221]
scalar covb165b224=V[165,224]
scalar covb165b225=V[165,225]
scalar covb165b236=V[165,236]
scalar covb165b237=V[165,237]
scalar covb165b240=V[165,240]
scalar covb165b241=V[165,241]
scalar covb165b247=V[165,247]
scalar covb165b249=V[165,249]
scalar covb165b265=V[165,265]
scalar covb165b267=V[165,267]
scalar covb165b271=V[165,271]
scalar covb165b273=V[165,273]
scalar covb181b183=V[181,183]
scalar covb181b187=V[181,187]
scalar covb181b189=V[181,189]
scalar covb181b195=V[181,195]
scalar covb181b197=V[181,197]
scalar covb181b213=V[181,213]
scalar covb181b215=V[181,215]
scalar covb181b219=V[181,219]
scalar covb181b221=V[181,221]
scalar covb181b224=V[181,224]
scalar covb181b225=V[181,225]
scalar covb181b236=V[181,236]
scalar covb181b237=V[181,237]
scalar covb181b240=V[181,240]
scalar covb181b241=V[181,241]
scalar covb181b247=V[181,247]
scalar covb181b249=V[181,249]
scalar covb181b265=V[181,265]
scalar covb181b267=V[181,267]
scalar covb181b271=V[181,271]
scalar covb181b273=V[181,273]
scalar covb183b187=V[183,187]
scalar covb183b189=V[183,189]
scalar covb183b195=V[183,195]
scalar covb183b197=V[183,197]
scalar covb183b213=V[183,213]
scalar covb183b215=V[183,215]
scalar covb183b219=V[183,219]
scalar covb183b221=V[183,221]
scalar covb183b224=V[183,224]
scalar covb183b225=V[183,225]
scalar covb183b236=V[183,236]
scalar covb183b237=V[183,237]
scalar covb183b240=V[183,240]
scalar covb183b241=V[183,241]
scalar covb183b247=V[183,247]
scalar covb183b249=V[183,249]
scalar covb183b265=V[183,265]
scalar covb183b267=V[183,267]
scalar covb183b271=V[183,271]
scalar covb183b273=V[183,273]
scalar covb187b189=V[187,189]
scalar covb187b195=V[187,195]
scalar covb187b197=V[187,197]
scalar covb187b213=V[187,213]
scalar covb187b215=V[187,215]
scalar covb187b219=V[187,219]
scalar covb187b221=V[187,221]
scalar covb187b224=V[187,224]
scalar covb187b225=V[187,225]
scalar covb187b236=V[187,236]
scalar covb187b237=V[187,237]
scalar covb187b240=V[187,240]
scalar covb187b241=V[187,241]
scalar covb187b247=V[187,247]
scalar covb187b249=V[187,249]
scalar covb187b265=V[187,265]
scalar covb187b267=V[187,267]
scalar covb187b271=V[187,271]
scalar covb187b273=V[187,273]
scalar covb189b195=V[189,195]
scalar covb189b197=V[189,197]
scalar covb189b213=V[189,213]
scalar covb189b215=V[189,215]
scalar covb189b219=V[189,219]
scalar covb189b221=V[189,221]
scalar covb189b224=V[189,224]
scalar covb189b225=V[189,225]
scalar covb189b236=V[189,236]
scalar covb189b237=V[189,237]
scalar covb189b240=V[189,240]
scalar covb189b241=V[189,241]
scalar covb189b247=V[189,247]
scalar covb189b249=V[189,249]
scalar covb189b265=V[189,265]
scalar covb189b267=V[189,267]
scalar covb189b271=V[189,271]
scalar covb189b273=V[189,273]
scalar covb195b197=V[195,197]
scalar covb195b213=V[195,213]
scalar covb195b215=V[195,215]
scalar covb195b219=V[195,219]
scalar covb195b221=V[195,221]
scalar covb195b224=V[195,224]
scalar covb195b225=V[195,225]
scalar covb195b236=V[195,236]
scalar covb195b237=V[195,237]
scalar covb195b240=V[195,240]
scalar covb195b241=V[195,241]
scalar covb195b247=V[195,247]
scalar covb195b249=V[195,249]
scalar covb195b265=V[195,265]
scalar covb195b267=V[195,267]
scalar covb195b271=V[195,271]
scalar covb195b273=V[195,273]
scalar covb197b213=V[197,213]
scalar covb197b215=V[197,215]
scalar covb197b219=V[197,219]
scalar covb197b221=V[197,221]
scalar covb197b224=V[197,224]
scalar covb197b225=V[197,225]
scalar covb197b236=V[197,236]
scalar covb197b237=V[197,237]
scalar covb197b240=V[197,240]
scalar covb197b241=V[197,241]
scalar covb197b247=V[197,247]
scalar covb197b249=V[197,249]
scalar covb197b265=V[197,265]
scalar covb197b267=V[197,267]
scalar covb197b271=V[197,271]
scalar covb197b273=V[197,273]
scalar covb213b215=V[213,215]
scalar covb213b219=V[213,219]
scalar covb213b221=V[213,221]
scalar covb213b224=V[213,224]
scalar covb213b225=V[213,225]
scalar covb213b236=V[213,236]
scalar covb213b237=V[213,237]
scalar covb213b240=V[213,240]
scalar covb213b241=V[213,241]
scalar covb213b247=V[213,247]
scalar covb213b249=V[213,249]
scalar covb213b265=V[213,265]
scalar covb213b267=V[213,267]
scalar covb213b271=V[213,271]
scalar covb213b273=V[213,273]
scalar covb215b219=V[215,219]
scalar covb215b221=V[215,221]
scalar covb215b224=V[215,224]
scalar covb215b225=V[215,225]
scalar covb215b236=V[215,236]
scalar covb215b237=V[215,237]
scalar covb215b240=V[215,240]
scalar covb215b241=V[215,241]
scalar covb215b247=V[215,247]
scalar covb215b249=V[215,249]
scalar covb215b265=V[215,265]
scalar covb215b267=V[215,267]
scalar covb215b271=V[215,271]
scalar covb215b273=V[215,273]
scalar covb219b221=V[219,221]
scalar covb219b224=V[219,224]
scalar covb219b225=V[219,225]
scalar covb219b236=V[219,236]
scalar covb219b237=V[219,237]
scalar covb219b240=V[219,240]
scalar covb219b241=V[219,241]
scalar covb219b247=V[219,247]
scalar covb219b249=V[219,249]
scalar covb219b265=V[219,265]
scalar covb219b267=V[219,267]
scalar covb219b271=V[219,271]
scalar covb219b273=V[219,273]
scalar covb221b224=V[221,224]
scalar covb221b225=V[221,225]
scalar covb221b236=V[221,236]
scalar covb221b237=V[221,237]
scalar covb221b240=V[221,240]
scalar covb221b241=V[221,241]
scalar covb221b247=V[221,247]
scalar covb221b249=V[221,249]
scalar covb221b265=V[221,265]
scalar covb221b267=V[221,267]
scalar covb221b271=V[221,271]
scalar covb221b273=V[221,273]
scalar covb224b225=V[224,225]
scalar covb224b236=V[224,236]
scalar covb224b237=V[224,237]
scalar covb224b240=V[224,240]
scalar covb224b241=V[224,241]
scalar covb224b247=V[224,247]
scalar covb224b249=V[224,249]
scalar covb224b265=V[224,265]
scalar covb224b267=V[224,267]
scalar covb224b271=V[224,271]
scalar covb224b273=V[224,273]
scalar covb225b236=V[225,236]
scalar covb225b237=V[225,237]
scalar covb225b240=V[225,240]
scalar covb225b241=V[225,241]
scalar covb225b247=V[225,247]
scalar covb225b249=V[225,249]
scalar covb225b265=V[225,265]
scalar covb225b267=V[225,267]
scalar covb225b271=V[225,271]
scalar covb225b273=V[225,273]
scalar covb236b237=V[236,237]
scalar covb236b240=V[236,240]
scalar covb236b241=V[236,241]
scalar covb236b247=V[236,247]
scalar covb236b249=V[236,249]
scalar covb236b265=V[236,265]
scalar covb236b267=V[236,267]
scalar covb236b271=V[236,271]
scalar covb236b273=V[236,273]
scalar covb237b240=V[237,240]
scalar covb237b241=V[237,241]
scalar covb237b247=V[237,247]
scalar covb237b249=V[237,249]
scalar covb237b265=V[237,265]
scalar covb237b267=V[237,267]
scalar covb237b271=V[237,271]
scalar covb237b273=V[237,273]
scalar covb240b241=V[240,241]
scalar covb240b247=V[240,247]
scalar covb240b249=V[240,249]
scalar covb240b265=V[240,265]
scalar covb240b267=V[240,267]
scalar covb240b271=V[240,271]
scalar covb240b273=V[240,273]
scalar covb241b247=V[241,247]
scalar covb241b249=V[241,249]
scalar covb241b265=V[241,265]
scalar covb241b267=V[241,267]
scalar covb241b271=V[241,271]
scalar covb241b273=V[241,273]
scalar covb247b249=V[247,249]
scalar covb247b265=V[247,265]
scalar covb247b267=V[247,267]
scalar covb247b271=V[247,271]
scalar covb247b273=V[247,273]
scalar covb249b265=V[249,265]
scalar covb249b267=V[249,267]
scalar covb249b271=V[249,271]
scalar covb249b273=V[249,273]
scalar covb265b267=V[265,267]
scalar covb265b271=V[265,271]
scalar covb265b273=V[265,273]
scalar covb267b271=V[267,271]
scalar covb267b273=V[267,273]
scalar covb271b273=V[271,273]

**********
scalar betaedu2=b36*h_pinterest + b56*h_leftright + b108*h_age + b131 + b163 + b195 + b224*h_eduimp + b247 + b2
scalar betaedu3=b37*h_pinterest + b57*h_leftright + b109*h_age + b133 + b165 + b197 + b225*h_eduimp + b249 + b3

scalar varedu2= varb36 + varb56 + varb108 + varb131 + varb163 + varb195 + varb224 + varb247 + varb2 + ///
2*covb2b36 + 2*covb2b56 + 2*covb2b108 + 2*covb2b131 + 2*covb2b163 + 2*covb2b195 + 2*covb2b224 + 2*covb2b247 + 2*covb36b56 + 2*covb36b108 + ///
2*covb36b131 + 2*covb36b163 + 2*covb36b195 + 2*covb36b224 + 2*covb36b247 + 2*covb56b108 + 2*covb56b131 + 2*covb56b163 + 2*covb56b195 + 2*covb56b224 + ///
2*covb56b247 + 2*covb108b131 + 2*covb108b163 + 2*covb108b195 + 2*covb108b224 + 2*covb108b247 + 2*covb131b163 + 2*covb131b195 + 2*covb131b224 + 2*covb131b247 + ///
2*covb163b195 + 2*covb163b224 + 2*covb163b247 + 2*covb195b224 + 2*covb195b247 + 2*covb224b247

scalar varedu3= varb37 + varb57 + varb109 + varb133 + varb165 + varb197 + varb225 + varb249 + varb3 + ///
2*covb3b37 + 2*covb3b57 + 2*covb3b109 + 2*covb3b133 + 2*covb3b165 + 2*covb3b197 + 2*covb3b225 + 2*covb3b249 + 2*covb37b57 + 2*covb37b109 + ///
2*covb37b133 + 2*covb37b165 + 2*covb37b197 + 2*covb37b225 + 2*covb37b249 + 2*covb57b109 + 2*covb57b133 + 2*covb57b165 + 2*covb57b197 + 2*covb57b225 + ///
2*covb57b249 + 2*covb109b133 + 2*covb109b165 + 2*covb109b197 + 2*covb109b225 + 2*covb109b249 + 2*covb133b165 + 2*covb133b197 + 2*covb133b225 + 2*covb133b249 + ///
2*covb165b197 + 2*covb165b225 + 2*covb165b249 + 2*covb197b225 + 2*covb197b249 + 2*covb225b249

scalar varedu2tax2= varb11 + 2*covb2b11 + 2*covb11b36 + 2*covb11b56 + 2*covb11b108 + 2*covb11b131 + 2*covb11b163 + 2*covb11b195 + 2*covb11b224 + 2*covb11b247
scalar varedu3tax2= varb14 + 2*covb3b14 + 2*covb14b37 + 2*covb14b57 + 2*covb14b109 + 2*covb14b133 + 2*covb14b165 + 2*covb14b197 + 2*covb14b225 + 2*covb14b249

scalar varedu2tax3= varb12 + 2*covb2b12 + 2*covb12b36 + 2*covb12b56 + 2*covb12b108 + 2*covb12b131 + 2*covb12b163 + 2*covb12b195 + 2*covb12b224 + 2*covb12b247
scalar varedu3tax3= varb15 + 2*covb3b15 + 2*covb15b37 + 2*covb15b57 + 2*covb15b109 + 2*covb15b133 + 2*covb15b165 + 2*covb15b197 + 2*covb15b225 + 2*covb15b249

parmest, label norestore

generate MVZ=_n
replace MVZ=. if _n>12

*****************************  ssex1
* edu2tax1 in 1
gen beta=betaedu2 in 1
gen ci_l = beta - 1.96*sqrt(varedu2) in 1
gen ci_h = beta + 1.96*sqrt(varedu2) in 1
*****************************  ssex2
scalar varedu2sex2= varb23 + 2*covb2b23 + 2*covb23b36 + 2*covb23b56 + 2*covb23b108 + 2*covb23b131 + 2*covb23b163 + 2*covb23b195 + 2*covb23b224 + 2*covb23b247
* edu2tax1 in 2
replace beta=b23 + betaedu2 in 2
replace ci_l = beta - 1.96*sqrt(varedu2sex2 + varedu2) in 2
replace ci_h = beta + 1.96*sqrt(varedu2sex2 + varedu2) in 2
*****************************  ssex3
scalar varedu2sex3= varb24 + 2*covb2b24 + 2*covb24b36 + 2*covb24b56 + 2*covb24b108 + 2*covb24b131 + 2*covb24b163 + 2*covb24b195 + 2*covb24b224 + 2*covb24b247
* edu2tax1 in 3
replace beta=b24 + betaedu2 in 3
replace ci_l = beta - 1.96*sqrt(varedu2sex3 + varedu2) in 3
replace ci_h = beta + 1.96*sqrt(varedu2sex3 + varedu2) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(High vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex1, replace) ///
title("Candidate for increasing taxation and spending", size(2))

*****************************  ssex1
* edu2tax2 in 1
replace beta=betaedu2 + b11 in 1
replace ci_l = beta - 1.96*sqrt(varedu2 + varedu2tax2) in 1
replace ci_h = beta + 1.96*sqrt(varedu2 + varedu2tax2) in 1
*****************************  ssex2
* edu2tax2 in 2
replace beta=b23 + betaedu2 + b11 in 2
replace ci_l = beta - 1.96*sqrt(varedu2sex2 + varedu2 + varedu2tax2 + 2*covb11b23) in 2
replace ci_h = beta + 1.96*sqrt(varedu2sex2 + varedu2 + varedu2tax2 + 2*covb11b23) in 2
*****************************  ssex3
* edu2tax2 in 3
replace beta=b24 + betaedu2 + b11 in 3
replace ci_l = beta - 1.96*sqrt(varedu2sex3 + varedu2 + varedu2tax2 + 2*covb11b24) in 3
replace ci_h = beta + 1.96*sqrt(varedu2sex3 + varedu2 + varedu2tax2 + 2*covb11b24) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(High vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex2, replace) ///
title("Candidate for maintaining taxation and spending", size(2))

*****************************  ssex1
* edu2tax3 in 1
replace beta= betaedu2 + b12 in 1
replace ci_l = beta - 1.96*sqrt(varedu2 + varedu2tax3) in 1
replace ci_h = beta + 1.96*sqrt(varedu2 + varedu2tax3) in 1
*****************************  ssex2
* edu2tax3 in 2
replace beta=b23 + betaedu2 + b12 in 2
replace ci_l = beta - 1.96*sqrt(varedu2sex2 + varedu2 + varedu2tax3 + 2*covb12b23) in 2
replace ci_h = beta + 1.96*sqrt(varedu2sex2 + varedu2 + varedu2tax3 + 2*covb12b23) in 2
*****************************  ssex3
* edu2tax3 in 3
replace beta=b24 + betaedu2 + b12 in 3
replace ci_l = beta - 1.96*sqrt(varedu2sex3 + varedu2 + varedu2tax3 + 2*covb12b24) in 3
replace ci_h = beta + 1.96*sqrt(varedu2sex3 + varedu2 + varedu2tax3 + 2*covb12b24) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(High vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(-.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2" .3 "0.3", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex3, replace) ///
title("Candidate for cutting taxation and spending", size(2))

*****************************  ssex1
* edu3tax1 in 1
replace beta=betaedu3 in 1
replace ci_l = beta - 1.96*sqrt(varedu3) in 1
replace ci_h = beta + 1.96*sqrt(varedu3) in 1
*****************************  ssex2
scalar varedu3sex2= varb26 + 2*covb3b26 + 2*covb26b37 + 2*covb26b57 + 2*covb26b109 + 2*covb26b133 + 2*covb26b165 + 2*covb26b197 + 2*covb26b225 + 2*covb26b249
* edu3tax1 in 2
replace beta=b26 + betaedu3 in 2 
replace ci_l = beta - 1.96*sqrt(varedu3sex2 + varedu3) in 2
replace ci_h = beta + 1.96*sqrt(varedu3sex2 + varedu3) in 2
*****************************  ssex3
scalar varedu3sex3= varb27 + 2*covb3b27 + 2*covb27b37 + 2*covb27b57 + 2*covb27b109 + 2*covb27b133 + 2*covb27b165 + 2*covb27b197 + 2*covb27b225 + 2*covb27b249
* edu3tax1 in 3
replace beta=b27 + betaedu3 in 3
replace ci_l = beta - 1.96*sqrt(varedu3sex3 + varedu3) in 3
replace ci_h = beta + 1.96*sqrt(varedu3sex3 + varedu3) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(University vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex4, replace)

*****************************  ssex1
* edu3tax2 in 1
replace beta=betaedu3 + b14 in 1
replace ci_l = beta - 1.96*sqrt(varedu3 + varedu3tax2) in 1
replace ci_h = beta + 1.96*sqrt(varedu3 + varedu3tax2) in 1
*****************************  ssex2
* edu3tax2 in 2
replace beta=b26 + betaedu3 + b14 in 2
replace ci_l = beta - 1.96*sqrt(varedu3sex2 + varedu3 + varedu3tax2 + 2*covb14b26) in 2
replace ci_h = beta + 1.96*sqrt(varedu3sex2 + varedu3 + varedu3tax2 + 2*covb14b26) in 2
*****************************  ssex3
* edu3tax2 in 3
replace beta=b27 + betaedu3 + b14 in 3
replace ci_l = beta - 1.96*sqrt(varedu3sex3 + varedu3 + varedu3tax2 + 2*covb14b27) in 3
replace ci_h = beta + 1.96*sqrt(varedu3sex3 + varedu3 + varedu3tax2 + 2*covb14b27) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(University vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(-.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2" .3 "0.3", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex5, replace)

*****************************  ssex1
* edu3tax3 in 1
replace beta=betaedu3 + b15 in 1
replace ci_l = beta - 1.96*sqrt(varedu3 + varedu3tax3) in 1
replace ci_h = beta + 1.96*sqrt(varedu3 + varedu3tax3) in 1
*****************************  ssex2
* edu3tax3 in 2
replace beta=b26 + betaedu3 + b15 in 2
replace ci_l = beta - 1.96*sqrt(varedu3sex2 + varedu3 + varedu3tax3 + 2*covb15b26) in 2
replace ci_h = beta + 1.96*sqrt(varedu3sex2 + varedu3 + varedu3tax3 + 2*covb15b26) in 2
*****************************  ssex3
* edu3tax3 in 3
replace beta=b27 + betaedu3 + b15 in 3
replace ci_l = beta - 1.96*sqrt(varedu3sex3 + varedu3 + varedu3tax3 + 2*covb15b27) in 3
replace ci_h = beta + 1.96*sqrt(varedu3sex3 + varedu3 + varedu3tax3 + 2*covb15b27) in 3

eclplot beta ci_l ci_h MVZ in 1/3, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xtitle("") ytitle(University vs jr high school, size(2)) yline(0, lcolor(black) lwidth(medthin)) ///
ylabel(0 "0" .1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4", noticks labsize(2)) xlabel(1 "Same rights" 2 "Some rights" 3 "No rights", noticks labsize(2)) xsca(noline r(0.5/3.5)) saving(ACME3_Edusex6, replace)

graph combine ACME3_Edusex1.gph ACME3_Edusex2.gph ACME3_Edusex3.gph ACME3_Edusex4.gph ACME3_Edusex5.gph ACME3_Edusex6.gph, imargin(0 0 0 0) graphregion(fcolor(white)) saving(Figure_A13u, replace) rows(2)

*****************************  tax and spend

scalar betatax2= b48*h_pinterest + b68*h_leftright + b120*h_age + b149 + b181 + b213 + b236*h_taximp + b265 + b5
scalar betatax3= b49*h_pinterest + b69*h_leftright + b121*h_age + b151 + b183 + b215 + b237*h_taximp + b267 + b6

scalar vartax2= varb48 + varb68 + varb120 + varb149 + varb181 + varb213 + varb236 + varb265 + varb5 + ///
2*covb5b48 + 2*covb5b68 + 2*covb5b120 + 2*covb5b149 + 2*covb5b181 + 2*covb5b213 + 2*covb5b236 + 2*covb5b265 + 2*covb48b68 + 2*covb48b120 + ///
2*covb48b149 + 2*covb48b181 + 2*covb48b213 + 2*covb48b236 + 2*covb48b265 + 2*covb68b120 + 2*covb68b149 + 2*covb68b181 + 2*covb68b213 + 2*covb68b236 + ///
2*covb68b265 + 2*covb120b149 + 2*covb120b181 + 2*covb120b213 + 2*covb120b236 + 2*covb120b265 + 2*covb149b181 + 2*covb149b213 + 2*covb149b236 + 2*covb149b265 + ///
2*covb181b213 + 2*covb181b236 + 2*covb181b265 + 2*covb213b236 + 2*covb213b265 + 2*covb236b265

scalar vartax3= varb49 + varb69 + varb121 + varb151 + varb183 + varb215 + varb237 + varb267 + varb6 + ///
2*covb6b49 + 2*covb6b69 + 2*covb6b121 + 2*covb6b151 + 2*covb6b183 + 2*covb6b215 + 2*covb6b237 + 2*covb6b267 + 2*covb49b69 + 2*covb49b121 + ///
2*covb49b151 + 2*covb49b183 + 2*covb49b215 + 2*covb49b237 + 2*covb49b267 + 2*covb69b121 + 2*covb69b151 + 2*covb69b183 + 2*covb69b215 + 2*covb69b237 + ///
2*covb69b267 + 2*covb121b151 + 2*covb121b183 + 2*covb121b215 + 2*covb121b237 + 2*covb121b267 + 2*covb151b183 + 2*covb151b215 + 2*covb151b237 + 2*covb151b267 + ///
2*covb183b215 + 2*covb183b237 + 2*covb183b267 + 2*covb215b237 + 2*covb215b267 + 2*covb237b267

scalar vartax2edu2= varb11 + 2*covb5b11 + 2*covb11b48 + 2*covb11b68 + 2*covb11b120 + 2*covb11b149 + 2*covb11b181 + 2*covb11b213 + 2*covb11b236 + 2*covb11b265
scalar vartax3edu2= varb12 + 2*covb6b12 + 2*covb12b49 + 2*covb12b69 + 2*covb12b121 + 2*covb12b151 + 2*covb12b183 + 2*covb12b215 + 2*covb12b237 + 2*covb12b267

scalar vartax2edu3= varb14 + 2*covb5b14 + 2*covb14b48 + 2*covb14b68 + 2*covb14b120 + 2*covb14b149 + 2*covb14b181 + 2*covb14b213 + 2*covb14b236 + 2*covb14b265
scalar vartax3edu3= varb15 + 2*covb6b15 + 2*covb15b49 + 2*covb15b69 + 2*covb15b121 + 2*covb15b151 + 2*covb15b183 + 2*covb15b215 + 2*covb15b237 + 2*covb15b267

* tax2edu1 in 1
replace beta=betatax2 in 1
replace ci_l = beta - 1.96*sqrt(vartax2) in 1
replace ci_h = beta + 1.96*sqrt(vartax2) in 1
* tax3edu1 in 2
replace beta=betatax3 in 2 
replace ci_l = beta - 1.96*sqrt(vartax3) in 2
replace ci_h = beta + 1.96*sqrt(vartax3) in 2
* tax2edu2 in 3
replace beta=betatax2 + b11 in 3
replace ci_l = beta - 1.96*sqrt(vartax2 + vartax2edu2) in 3
replace ci_h = beta + 1.96*sqrt(vartax2 + vartax2edu2) in 3
* tax3edu2 in 4
replace beta=betatax3 + b12 in 4
replace ci_l = beta - 1.96*sqrt(vartax3 + vartax3edu2) in 4
replace ci_h = beta + 1.96*sqrt(vartax3 + vartax3edu2) in 4
* tax2edu3 in 5
replace beta=betatax2 + b14 in 5
replace ci_l = beta - 1.96*sqrt(vartax2 + vartax2edu3) in 5
replace ci_h = beta + 1.96*sqrt(vartax2 + vartax2edu3) in 5
* tax3edu3 in 6
replace beta=betatax3 + b15 in 6
replace ci_l = beta - 1.96*sqrt(vartax3 + vartax3edu3) in 6
replace ci_h = beta + 1.96*sqrt(vartax3 + vartax3edu3) in 6

eclplot beta ci_l ci_h MVZ in 1/6, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.3 "-0.3" -.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4", noticks labsize(2)) xtitle(" ", size(2)) ytitle(" ") ///
text(0.7 0 "{it:Junior high school}", place(c) just(center) size(2)) ///
text(2.7 0 "{it:High school}", place(c) just(center) size(2)) ///
text(4.7 0 "{it:University}", place(c) just(center) size(2)) ///
ylabel(1 "Constant tax-spend" 2 "Less tax-spend" 3 "Constant tax-spend" 4 "Less tax-spend" 5 "Constant tax-spend" 6 "Less tax-spend", noticks labsize(2)) saving(ACME3_taxspend, replace)

*****************************  same sex rights
scalar betasex2= b52*h_pinterest + b72*h_leftright + b124*h_age + b155 + b187 + b219 + b240*h_sseximp + b271 + b17
scalar betasex3= b53*h_pinterest + b73*h_leftright + b125*h_age + b157 + b189 + b221 + b241*h_sseximp + b273 + b18

scalar varsex2= varb52 + varb72 + varb124 + varb155 + varb187 + varb219 + varb240 + varb271 + varb17 + ///
2*covb17b52 + 2*covb17b72 + 2*covb17b124 + 2*covb17b155 + 2*covb17b187 + 2*covb17b219 + 2*covb17b240 + 2*covb17b271 + 2*covb52b72 + 2*covb52b124 + ///
2*covb52b155 + 2*covb52b187 + 2*covb52b219 + 2*covb52b240 + 2*covb52b271 + 2*covb72b124 + 2*covb72b155 + 2*covb72b187 + 2*covb72b219 + 2*covb72b240 + ///
2*covb72b271 + 2*covb124b155 + 2*covb124b187 + 2*covb124b219 + 2*covb124b240 + 2*covb124b271 + 2*covb155b187 + 2*covb155b219 + 2*covb155b240 + 2*covb155b271 + ///
2*covb187b219 + 2*covb187b240 + 2*covb187b271 + 2*covb219b240 + 2*covb219b271 + 2*covb240b271

scalar varsex3= varb53 + varb73 + varb125 + varb157 + varb189 + varb221 + varb241 + varb273 + varb18 + ///
2*covb18b53 + 2*covb18b73 + 2*covb18b125 + 2*covb18b157 + 2*covb18b189 + 2*covb18b221 + 2*covb18b241 + 2*covb18b273 + 2*covb53b73 + 2*covb53b125 + ///
2*covb53b157 + 2*covb53b189 + 2*covb53b221 + 2*covb53b241 + 2*covb53b273 + 2*covb73b125 + 2*covb73b157 + 2*covb73b189 + 2*covb73b221 + 2*covb73b241 + ///
2*covb73b273 + 2*covb125b157 + 2*covb125b189 + 2*covb125b221 + 2*covb125b241 + 2*covb125b273 + 2*covb157b189 + 2*covb157b221 + 2*covb157b241 + 2*covb157b273 + ///
2*covb189b221 + 2*covb189b241 + 2*covb189b273 + 2*covb221b241 + 2*covb221b273 + 2*covb241b273

scalar varsex2edu2= varb23 + 2*covb17b23 + 2*covb23b52 + 2*covb23b72 + 2*covb23b124 + 2*covb23b155 + 2*covb23b187 + 2*covb23b219 + 2*covb23b240 + 2*covb23b271
scalar varsex3edu2= varb24 + 2*covb18b24 + 2*covb24b53 + 2*covb24b73 + 2*covb24b125 + 2*covb24b157 + 2*covb24b189 + 2*covb24b221 + 2*covb24b241 + 2*covb24b273

scalar varsex2edu3= varb26 + 2*covb17b26 + 2*covb26b52 + 2*covb26b72 + 2*covb26b124 + 2*covb26b155 + 2*covb26b187 + 2*covb26b219 + 2*covb26b240 + 2*covb26b271
scalar varsex3edu3= varb27 + 2*covb18b27 + 2*covb27b53 + 2*covb27b73 + 2*covb27b125 + 2*covb27b157 + 2*covb27b189 + 2*covb27b221 + 2*covb27b241 + 2*covb27b273

* sex2edu1 in 1
replace beta=betasex2 in 1
replace ci_l = beta - 1.96*sqrt(varsex2) in 1
replace ci_h = beta + 1.96*sqrt(varsex2) in 1
* sex3edu1 in 2
replace beta=betasex3 in 8 
replace ci_l = beta - 1.96*sqrt(varsex3) in 2
replace ci_h = beta + 1.96*sqrt(varsex3) in 2
* sex2edu2 in 3
replace beta=betasex2 + b23 in 3
replace ci_l = beta - 1.96*sqrt(varsex2 + varsex2edu2) in 3
replace ci_h = beta + 1.96*sqrt(varsex2 + varsex2edu2) in 3
* sex3edu2 in 4
replace beta=betasex3 + b24 in 4
replace ci_l = beta - 1.96*sqrt(varsex3 + varsex3edu2) in 4
replace ci_h = beta + 1.96*sqrt(varsex3 + varsex3edu2) in 4
* sex2edu3 in 5
replace beta=betasex2 + b26 in 5
replace ci_l = beta - 1.96*sqrt(varsex2 + varsex2edu3) in 5
replace ci_h = beta + 1.96*sqrt(varsex2 + varsex2edu3) in 5
* sex3edu3 in 6
replace beta=betasex3 + b27 in 6
replace ci_l = beta - 1.96*sqrt(varsex3 + varsex3edu3) in 6
replace ci_h = beta + 1.96*sqrt(varsex3 + varsex3edu3) in 6

eclplot beta ci_l ci_h MVZ in 1/6, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.3 "-0.3" -.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2" .3 "0.3" .4 "0.4", noticks labsize(2)) xtitle(" ", size(2)) ytitle(" ") ///
text(0.7 0 "{it:Junior high school}", place(c) just(center) size(2)) ///
text(2.7 0 "{it:High school}", place(c) just(center) size(2)) ///
text(4.7 0 "{it:University}", place(c) just(center) size(2)) ///
ylabel(1 "Some rights" 2 "No rights" 3 "Some rights" 4 "No rights" 5 "Some rights" 6 "No rights", noticks labsize(2)) saving(ACME3_samesex, replace)

graph combine ACME3_taxspend.gph ACME3_samesex.gph, imargin(0 0 0 0) graphregion(fcolor(white)) saving(Figure_A13l, replace) rows(1)
exit
